// THIS FILE WAS AUTOMATICALLY GENERATED. DO NOT EDIT.

package instances

// Type describes an EC2 instance type.
type Type struct {
	// Name is the API name of this EC2 instance type.
	Name string
	// EBSOptimized is set to true if the instance type permits EBS optimization.
	EBSOptimized bool
	// EBSThroughput is the max throughput for the EBS optimized instance.
	EBSThroughput float64
	// VCPU stores the number of VCPUs provided by this instance type.
	VCPU uint
	// Memory stores the number of (fractional) GiB of memory provided by this instance type.
	Memory float64
	// Price stores the on-demand price per region for this instance type.
	Price map[string]float64
	// Generation stores the generation name for this instance ("current" or "previous").
	Generation string
	// Virt stores the virtualization type used by this instance type.
	Virt string
	// NVMe specifies whether EBS block devices are exposed as NVMe volumes.
	NVMe bool
	// CPUFeatures defines the available CPU features on this instance type
	CPUFeatures map[string]bool
}

// Types stores known EC2 instance types.
var Types = []Type{
	{
		Name:          "c5d.xlarge",
		EBSOptimized:  true,
		EBSThroughput: 437.500000,
		VCPU:          4,
		Memory:        8.000000,
		Price: map[string]float64{
			"ap-east-1":      0.246,
			"ap-northeast-1": 0.244,
			"ap-northeast-2": 0.22,
			"ap-northeast-3": 0.244,
			"ap-south-1":     0.198,
			"ap-southeast-1": 0.224,
			"ap-southeast-2": 0.252,
			"ca-central-1":   0.212,
			"eu-central-1":   0.222,
			"eu-north-1":     0.208,
			"eu-west-1":      0.218,
			"eu-west-2":      0.23,
			"eu-west-3":      0.23,
			"me-south-1":     0.24,
			"us-east-1":      0.192,
			"us-east-2":      0.192,
			"us-gov-east-1":  0.232,
			"us-gov-west-1":  0.232,
			"us-west-1":      0.24,
			"us-west-2":      0.192,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       true,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "m5a.2xlarge",
		EBSOptimized:  true,
		EBSThroughput: 265.000000,
		VCPU:          8,
		Memory:        32.000000,
		Price: map[string]float64{
			"ap-northeast-1": 0.448,
			"ap-southeast-1": 0.432,
			"ap-southeast-2": 0.432,
			"ca-central-1":   0.384,
			"eu-central-1":   0.416,
			"eu-west-1":      0.384,
			"eu-west-3":      0.404,
			"us-east-1":      0.344,
			"us-east-2":      0.344,
			"us-gov-east-1":  0.436,
			"us-gov-west-1":  0.436,
			"us-west-1":      0.404,
			"us-west-2":      0.344,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "c5.9xlarge",
		EBSOptimized:  true,
		EBSThroughput: 875.000000,
		VCPU:          36,
		Memory:        72.000000,
		Price: map[string]float64{
			"ap-east-1":      1.944,
			"ap-northeast-1": 1.926,
			"ap-northeast-2": 1.728,
			"ap-northeast-3": 1.926,
			"ap-south-1":     1.53,
			"ap-southeast-1": 1.764,
			"ap-southeast-2": 1.998,
			"ca-central-1":   1.674,
			"eu-central-1":   1.746,
			"eu-north-1":     1.638,
			"eu-west-1":      1.728,
			"eu-west-2":      1.818,
			"eu-west-3":      1.818,
			"me-south-1":     1.901,
			"sa-east-1":      2.358,
			"us-east-1":      1.53,
			"us-east-2":      1.53,
			"us-gov-east-1":  1.836,
			"us-gov-west-1":  1.836,
			"us-west-1":      1.908,
			"us-west-2":      1.53,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       true,
		CPUFeatures: map[string]bool{
			"intel_avx":    true,
			"intel_avx2":   true,
			"intel_avx512": true,
		},
	},
	{
		Name:          "r5ad.xlarge",
		EBSOptimized:  true,
		EBSThroughput: 265.000000,
		VCPU:          4,
		Memory:        32.000000,
		Price: map[string]float64{
			"ap-southeast-1": 0.318,
			"ap-southeast-2": 0.318,
			"ca-central-1":   0.288,
			"us-east-1":      0.262,
			"us-east-2":      0.262,
			"us-gov-west-1":  0.316,
			"us-west-2":      0.262,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "m5.24xlarge",
		EBSOptimized:  true,
		EBSThroughput: 1750.000000,
		VCPU:          96,
		Memory:        384.000000,
		Price: map[string]float64{
			"ap-east-1":      6.336,
			"ap-northeast-1": 5.952,
			"ap-northeast-2": 5.664,
			"ap-northeast-3": 5.952,
			"ap-south-1":     4.848,
			"ap-southeast-1": 5.76,
			"ap-southeast-2": 5.76,
			"ca-central-1":   5.136,
			"eu-central-1":   5.52,
			"eu-north-1":     4.896,
			"eu-west-1":      5.136,
			"eu-west-2":      5.328,
			"eu-west-3":      5.376,
			"me-south-1":     5.65,
			"sa-east-1":      7.344,
			"us-east-1":      4.608,
			"us-east-2":      4.608,
			"us-gov-east-1":  5.808,
			"us-gov-west-1":  5.808,
			"us-west-1":      5.376,
			"us-west-2":      4.608,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       true,
		CPUFeatures: map[string]bool{
			"intel_avx":    true,
			"intel_avx2":   true,
			"intel_avx512": true,
		},
	},
	{
		Name:          "i3en.12xlarge",
		EBSOptimized:  true,
		EBSThroughput: 875.000000,
		VCPU:          48,
		Memory:        384.000000,
		Price: map[string]float64{
			"ap-northeast-1": 6.384,
			"ap-northeast-2": 6.384,
			"ap-southeast-1": 6.504,
			"ap-southeast-2": 6.504,
			"eu-central-1":   6.48,
			"eu-west-1":      6,
			"eu-west-2":      6.312,
			"us-east-1":      5.424,
			"us-east-2":      5.424,
			"us-gov-east-1":  6.552,
			"us-gov-west-1":  6.552,
			"us-west-1":      6,
			"us-west-2":      5.424,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "m5d.12xlarge",
		EBSOptimized:  true,
		EBSThroughput: 875.000000,
		VCPU:          48,
		Memory:        192.000000,
		Price: map[string]float64{
			"ap-east-1":      3.72,
			"ap-northeast-1": 3.504,
			"ap-northeast-2": 3.336,
			"ap-northeast-3": 3.504,
			"ap-south-1":     2.928,
			"ap-southeast-1": 3.384,
			"ap-southeast-2": 3.408,
			"ca-central-1":   3.024,
			"eu-central-1":   3.264,
			"eu-north-1":     2.88,
			"eu-west-1":      3.024,
			"eu-west-2":      3.144,
			"eu-west-3":      3.168,
			"me-south-1":     3.326,
			"us-east-1":      2.712,
			"us-east-2":      2.712,
			"us-gov-east-1":  3.432,
			"us-gov-west-1":  3.432,
			"us-west-1":      3.192,
			"us-west-2":      2.712,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       true,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "c5.large",
		EBSOptimized:  true,
		EBSThroughput: 437.500000,
		VCPU:          2,
		Memory:        4.000000,
		Price: map[string]float64{
			"ap-east-1":      0.108,
			"ap-northeast-1": 0.107,
			"ap-northeast-2": 0.096,
			"ap-northeast-3": 0.107,
			"ap-south-1":     0.085,
			"ap-southeast-1": 0.098,
			"ap-southeast-2": 0.111,
			"ca-central-1":   0.093,
			"eu-central-1":   0.097,
			"eu-north-1":     0.091,
			"eu-west-1":      0.096,
			"eu-west-2":      0.101,
			"eu-west-3":      0.101,
			"me-south-1":     0.106,
			"sa-east-1":      0.131,
			"us-east-1":      0.085,
			"us-east-2":      0.085,
			"us-gov-east-1":  0.102,
			"us-gov-west-1":  0.102,
			"us-west-1":      0.106,
			"us-west-2":      0.085,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       true,
		CPUFeatures: map[string]bool{
			"intel_avx":    true,
			"intel_avx2":   true,
			"intel_avx512": true,
		},
	},
	{
		Name:          "c5n.large",
		EBSOptimized:  true,
		EBSThroughput: 437.500000,
		VCPU:          2,
		Memory:        5.250000,
		Price: map[string]float64{
			"ap-northeast-1": 0.136,
			"ap-northeast-2": 0.122,
			"ap-south-1":     0.108,
			"ap-southeast-1": 0.124,
			"ap-southeast-2": 0.141,
			"ca-central-1":   0.118,
			"eu-central-1":   0.123,
			"eu-west-1":      0.122,
			"us-east-1":      0.108,
			"us-east-2":      0.108,
			"us-gov-east-1":  0.13,
			"us-gov-west-1":  0.13,
			"us-west-1":      0.135,
			"us-west-2":      0.108,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       true,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "c5.24xlarge",
		EBSOptimized:  true,
		EBSThroughput: 1750.000000,
		VCPU:          96,
		Memory:        192.000000,
		Price: map[string]float64{
			"ap-northeast-1": 5.136,
			"ap-south-1":     4.08,
			"ap-southeast-1": 4.704,
			"ap-southeast-2": 5.328,
			"ca-central-1":   4.464,
			"eu-central-1":   4.656,
			"eu-north-1":     4.368,
			"eu-west-1":      4.608,
			"eu-west-2":      4.848,
			"eu-west-3":      4.848,
			"me-south-1":     5.069,
			"us-east-1":      4.08,
			"us-east-2":      4.08,
			"us-gov-west-1":  4.896,
			"us-west-1":      5.088,
			"us-west-2":      4.08,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       true,
		CPUFeatures: map[string]bool{
			"intel_avx":    true,
			"intel_avx2":   true,
			"intel_avx512": true,
		},
	},
	{
		Name:          "i2.xlarge",
		EBSOptimized:  false,
		EBSThroughput: 62.500000,
		VCPU:          4,
		Memory:        30.500000,
		Price: map[string]float64{
			"ap-northeast-1": 1.001,
			"ap-northeast-2": 1.001,
			"ap-south-1":     0.967,
			"ap-southeast-1": 1.018,
			"ap-southeast-2": 1.018,
			"eu-central-1":   1.013,
			"eu-west-1":      0.938,
			"us-east-1":      0.853,
			"us-east-2":      0.853,
			"us-gov-west-1":  1.023,
			"us-west-1":      0.938,
			"us-west-2":      0.853,
		},
		Generation: "previous",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx": true,
		},
	},
	{
		Name:          "d2.8xlarge",
		EBSOptimized:  true,
		EBSThroughput: 500.000000,
		VCPU:          36,
		Memory:        244.000000,
		Price: map[string]float64{
			"ap-east-1":      7.656,
			"ap-northeast-1": 6.752,
			"ap-northeast-2": 6.752,
			"ap-northeast-3": 6.752,
			"ap-south-1":     6.612,
			"ap-southeast-1": 6.96,
			"ap-southeast-2": 6.96,
			"ca-central-1":   6.072,
			"eu-central-1":   6.352,
			"eu-north-1":     5.584,
			"eu-west-1":      5.88,
			"eu-west-2":      6.174,
			"eu-west-3":      6.176,
			"me-south-1":     6.468,
			"us-east-1":      5.52,
			"us-east-2":      5.52,
			"us-gov-west-1":  6.624,
			"us-west-1":      6.25,
			"us-west-2":      5.52,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "i3en.3xlarge",
		EBSOptimized:  true,
		EBSThroughput: 437.500000,
		VCPU:          12,
		Memory:        96.000000,
		Price: map[string]float64{
			"ap-northeast-1": 1.596,
			"ap-northeast-2": 1.596,
			"ap-southeast-1": 1.626,
			"ap-southeast-2": 1.626,
			"eu-central-1":   1.62,
			"eu-west-1":      1.5,
			"eu-west-2":      1.578,
			"us-east-1":      1.356,
			"us-east-2":      1.356,
			"us-gov-east-1":  1.638,
			"us-gov-west-1":  1.638,
			"us-west-1":      1.5,
			"us-west-2":      1.356,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "z1d.3xlarge",
		EBSOptimized:  true,
		EBSThroughput: 438.000000,
		VCPU:          12,
		Memory:        96.000000,
		Price: map[string]float64{
			"ap-northeast-1": 1.362,
			"ap-southeast-1": 1.356,
			"ap-southeast-2": 1.356,
			"eu-central-1":   1.35,
			"eu-west-1":      1.248,
			"eu-west-2":      1.318,
			"us-east-1":      1.116,
			"us-west-1":      1.266,
			"us-west-2":      1.116,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "m5.2xlarge",
		EBSOptimized:  true,
		EBSThroughput: 437.500000,
		VCPU:          8,
		Memory:        32.000000,
		Price: map[string]float64{
			"ap-east-1":      0.528,
			"ap-northeast-1": 0.496,
			"ap-northeast-2": 0.472,
			"ap-northeast-3": 0.496,
			"ap-south-1":     0.404,
			"ap-southeast-1": 0.48,
			"ap-southeast-2": 0.48,
			"ca-central-1":   0.428,
			"eu-central-1":   0.46,
			"eu-north-1":     0.408,
			"eu-west-1":      0.428,
			"eu-west-2":      0.444,
			"eu-west-3":      0.448,
			"me-south-1":     0.471,
			"sa-east-1":      0.612,
			"us-east-1":      0.384,
			"us-east-2":      0.384,
			"us-gov-east-1":  0.484,
			"us-gov-west-1":  0.484,
			"us-west-1":      0.448,
			"us-west-2":      0.384,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       true,
		CPUFeatures: map[string]bool{
			"intel_avx":    true,
			"intel_avx2":   true,
			"intel_avx512": true,
		},
	},
	{
		Name:          "c5.18xlarge",
		EBSOptimized:  true,
		EBSThroughput: 1750.000000,
		VCPU:          72,
		Memory:        144.000000,
		Price: map[string]float64{
			"ap-east-1":      3.888,
			"ap-northeast-1": 3.852,
			"ap-northeast-2": 3.456,
			"ap-northeast-3": 3.852,
			"ap-south-1":     3.06,
			"ap-southeast-1": 3.528,
			"ap-southeast-2": 3.996,
			"ca-central-1":   3.348,
			"eu-central-1":   3.492,
			"eu-north-1":     3.276,
			"eu-west-1":      3.456,
			"eu-west-2":      3.636,
			"eu-west-3":      3.636,
			"me-south-1":     3.802,
			"sa-east-1":      4.716,
			"us-east-1":      3.06,
			"us-east-2":      3.06,
			"us-gov-east-1":  3.672,
			"us-gov-west-1":  3.672,
			"us-west-1":      3.816,
			"us-west-2":      3.06,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       true,
		CPUFeatures: map[string]bool{
			"intel_avx":    true,
			"intel_avx2":   true,
			"intel_avx512": true,
		},
	},
	{
		Name:          "x1e.16xlarge",
		EBSOptimized:  true,
		EBSThroughput: 875.000000,
		VCPU:          64,
		Memory:        1952.000000,
		Price: map[string]float64{
			"ap-northeast-1": 19.344,
			"ap-northeast-2": 19.344,
			"ap-southeast-1": 19.344,
			"ap-southeast-2": 19.344,
			"eu-central-1":   18.672,
			"eu-west-1":      16,
			"us-east-1":      13.344,
			"us-east-2":      13.344,
			"us-gov-east-1":  16,
			"us-gov-west-1":  16,
			"us-west-2":      13.344,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "i2.8xlarge",
		EBSOptimized:  false,
		EBSThroughput: 0.000000,
		VCPU:          32,
		Memory:        244.000000,
		Price: map[string]float64{
			"ap-northeast-1": 8.004,
			"ap-northeast-2": 8.004,
			"ap-south-1":     7.733,
			"ap-southeast-1": 8.14,
			"ap-southeast-2": 8.14,
			"eu-central-1":   8.102,
			"eu-west-1":      7.502,
			"us-east-1":      6.82,
			"us-east-2":      6.82,
			"us-gov-west-1":  8.184,
			"us-west-1":      7.502,
			"us-west-2":      6.82,
		},
		Generation: "previous",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx": true,
		},
	},
	{
		Name:          "r5a.8xlarge",
		EBSOptimized:  true,
		EBSThroughput: 437.500000,
		VCPU:          32,
		Memory:        256.000000,
		Price: map[string]float64{
			"ap-northeast-1": 2.192,
			"ap-southeast-1": 2.176,
			"ap-southeast-2": 2.176,
			"ca-central-1":   1.984,
			"eu-central-1":   2.192,
			"eu-west-1":      2.032,
			"eu-west-3":      2.128,
			"us-east-1":      1.808,
			"us-east-2":      1.808,
			"us-gov-east-1":  2.176,
			"us-gov-west-1":  2.176,
			"us-west-1":      2.016,
			"us-west-2":      1.808,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "i2.2xlarge",
		EBSOptimized:  false,
		EBSThroughput: 125.000000,
		VCPU:          8,
		Memory:        61.000000,
		Price: map[string]float64{
			"ap-northeast-1": 2.001,
			"ap-northeast-2": 2.001,
			"ap-south-1":     1.933,
			"ap-southeast-1": 2.035,
			"ap-southeast-2": 2.035,
			"eu-central-1":   2.026,
			"eu-west-1":      1.876,
			"us-east-1":      1.705,
			"us-east-2":      1.705,
			"us-gov-west-1":  2.046,
			"us-west-1":      1.876,
			"us-west-2":      1.705,
		},
		Generation: "previous",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx": true,
		},
	},
	{
		Name:          "i3en.2xlarge",
		EBSOptimized:  true,
		EBSThroughput: 437.500000,
		VCPU:          8,
		Memory:        64.000000,
		Price: map[string]float64{
			"ap-northeast-1": 1.064,
			"ap-northeast-2": 1.064,
			"ap-southeast-1": 1.084,
			"ap-southeast-2": 1.084,
			"eu-central-1":   1.08,
			"eu-west-1":      1,
			"eu-west-2":      1.052,
			"us-east-1":      0.904,
			"us-east-2":      0.904,
			"us-gov-east-1":  1.092,
			"us-gov-west-1":  1.092,
			"us-west-1":      1,
			"us-west-2":      0.904,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "m5a.xlarge",
		EBSOptimized:  true,
		EBSThroughput: 265.000000,
		VCPU:          4,
		Memory:        16.000000,
		Price: map[string]float64{
			"ap-northeast-1": 0.224,
			"ap-southeast-1": 0.216,
			"ap-southeast-2": 0.216,
			"ca-central-1":   0.192,
			"eu-central-1":   0.208,
			"eu-west-1":      0.192,
			"eu-west-3":      0.202,
			"us-east-1":      0.172,
			"us-east-2":      0.172,
			"us-gov-east-1":  0.218,
			"us-gov-west-1":  0.218,
			"us-west-1":      0.202,
			"us-west-2":      0.172,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "p3.2xlarge",
		EBSOptimized:  true,
		EBSThroughput: 218.000000,
		VCPU:          8,
		Memory:        61.000000,
		Price: map[string]float64{
			"ap-northeast-1": 4.194,
			"ap-northeast-2": 4.234,
			"ap-southeast-1": 4.234,
			"ap-southeast-2": 4.234,
			"ca-central-1":   3.366,
			"eu-central-1":   3.823,
			"eu-west-1":      3.305,
			"eu-west-2":      3.589,
			"us-east-1":      3.06,
			"us-east-2":      3.06,
			"us-gov-west-1":  3.672,
			"us-west-2":      3.06,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "t2.2xlarge",
		EBSOptimized:  true,
		EBSThroughput: 0.000000,
		VCPU:          8,
		Memory:        32.000000,
		Price: map[string]float64{
			"ap-northeast-1": 0.4864,
			"ap-northeast-2": 0.4608,
			"ap-northeast-3": 0.4864,
			"ap-south-1":     0.3968,
			"ap-southeast-1": 0.4672,
			"ap-southeast-2": 0.4672,
			"ca-central-1":   0.4096,
			"eu-central-1":   0.4288,
			"eu-west-1":      0.4032,
			"eu-west-2":      0.4224,
			"eu-west-3":      0.4224,
			"sa-east-1":      0.5952,
			"us-east-1":      0.3712,
			"us-east-2":      0.3712,
			"us-gov-west-1":  0.4352,
			"us-west-1":      0.4416,
			"us-west-2":      0.3712,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx": true,
		},
	},
	{
		Name:          "h1.8xlarge",
		EBSOptimized:  true,
		EBSThroughput: 875.000000,
		VCPU:          32,
		Memory:        128.000000,
		Price: map[string]float64{
			"eu-west-1": 2.076,
			"us-east-1": 1.872,
			"us-east-2": 1.872,
			"us-west-2": 1.872,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "r5d.24xlarge",
		EBSOptimized:  true,
		EBSThroughput: 1750.000000,
		VCPU:          96,
		Memory:        768.000000,
		Price: map[string]float64{
			"ap-east-1":      8.4,
			"ap-northeast-1": 8.352,
			"ap-northeast-2": 8.304,
			"ap-northeast-3": 8.352,
			"ap-south-1":     7.248,
			"ap-southeast-1": 8.352,
			"ap-southeast-2": 8.352,
			"ca-central-1":   7.584,
			"eu-central-1":   8.304,
			"eu-north-1":     7.296,
			"eu-west-1":      7.68,
			"eu-west-2":      8.112,
			"eu-west-3":      8.112,
			"me-south-1":     8.448,
			"us-east-1":      6.912,
			"us-east-2":      6.912,
			"us-gov-east-1":  8.304,
			"us-gov-west-1":  8.304,
			"us-west-1":      7.776,
			"us-west-2":      6.912,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "i3en.6xlarge",
		EBSOptimized:  true,
		EBSThroughput: 437.500000,
		VCPU:          24,
		Memory:        192.000000,
		Price: map[string]float64{
			"ap-northeast-1": 3.192,
			"ap-northeast-2": 3.192,
			"ap-southeast-1": 3.252,
			"ap-southeast-2": 3.252,
			"eu-central-1":   3.24,
			"eu-west-1":      3,
			"eu-west-2":      3.156,
			"us-east-1":      2.712,
			"us-east-2":      2.712,
			"us-gov-east-1":  3.276,
			"us-gov-west-1":  3.276,
			"us-west-1":      3,
			"us-west-2":      2.712,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "r4.8xlarge",
		EBSOptimized:  true,
		EBSThroughput: 875.000000,
		VCPU:          32,
		Memory:        244.000000,
		Price: map[string]float64{
			"ap-northeast-1": 2.56,
			"ap-northeast-2": 2.56,
			"ap-northeast-3": 2.56,
			"ap-south-1":     2.192,
			"ap-southeast-1": 2.56,
			"ap-southeast-2": 2.5536,
			"ca-central-1":   2.336,
			"eu-central-1":   2.5608,
			"eu-west-1":      2.3712,
			"eu-west-2":      2.496,
			"eu-west-3":      2.496,
			"sa-east-1":      4.48,
			"us-east-1":      2.128,
			"us-east-2":      2.128,
			"us-gov-west-1":  2.5536,
			"us-west-1":      2.3712,
			"us-west-2":      2.128,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "x1.16xlarge",
		EBSOptimized:  true,
		EBSThroughput: 875.000000,
		VCPU:          64,
		Memory:        976.000000,
		Price: map[string]float64{
			"ap-east-1":      10.638,
			"ap-northeast-1": 9.671,
			"ap-northeast-2": 9.671,
			"ap-south-1":     6.881,
			"ap-southeast-1": 9.671,
			"ap-southeast-2": 9.671,
			"ca-central-1":   7.336,
			"eu-central-1":   9.337,
			"eu-west-1":      8.003,
			"eu-west-2":      8.403,
			"eu-west-3":      8.403,
			"sa-east-1":      13.005,
			"us-east-1":      6.669,
			"us-east-2":      6.669,
			"us-gov-east-1":  8.003,
			"us-gov-west-1":  8.003,
			"us-west-2":      6.669,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        false,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "c5d.18xlarge",
		EBSOptimized:  true,
		EBSThroughput: 1750.000000,
		VCPU:          72,
		Memory:        144.000000,
		Price: map[string]float64{
			"ap-east-1":      4.428,
			"ap-northeast-1": 4.392,
			"ap-northeast-2": 3.96,
			"ap-northeast-3": 4.392,
			"ap-south-1":     3.564,
			"ap-southeast-1": 4.032,
			"ap-southeast-2": 4.536,
			"ca-central-1":   3.816,
			"eu-central-1":   3.996,
			"eu-north-1":     3.744,
			"eu-west-1":      3.924,
			"eu-west-2":      4.14,
			"eu-west-3":      4.14,
			"me-south-1":     4.316,
			"us-east-1":      3.456,
			"us-east-2":      3.456,
			"us-gov-east-1":  4.176,
			"us-gov-west-1":  4.176,
			"us-west-1":      4.32,
			"us-west-2":      3.456,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       true,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "m5a.16xlarge",
		EBSOptimized:  true,
		EBSThroughput: 875.000000,
		VCPU:          64,
		Memory:        256.000000,
		Price: map[string]float64{
			"ap-northeast-1": 3.584,
			"ap-southeast-1": 3.456,
			"ap-southeast-2": 3.456,
			"ca-central-1":   3.072,
			"eu-central-1":   3.328,
			"eu-west-1":      3.072,
			"eu-west-3":      3.232,
			"us-east-1":      2.752,
			"us-east-2":      2.752,
			"us-gov-east-1":  3.488,
			"us-gov-west-1":  3.488,
			"us-west-1":      3.232,
			"us-west-2":      2.752,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "r5a.large",
		EBSOptimized:  true,
		EBSThroughput: 265.000000,
		VCPU:          2,
		Memory:        16.000000,
		Price: map[string]float64{
			"ap-northeast-1": 0.137,
			"ap-southeast-1": 0.136,
			"ap-southeast-2": 0.136,
			"ca-central-1":   0.124,
			"eu-central-1":   0.137,
			"eu-west-1":      0.127,
			"eu-west-3":      0.133,
			"us-east-1":      0.113,
			"us-east-2":      0.113,
			"us-gov-east-1":  0.136,
			"us-gov-west-1":  0.136,
			"us-west-1":      0.126,
			"us-west-2":      0.113,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "c3.large",
		EBSOptimized:  false,
		EBSThroughput: 0.000000,
		VCPU:          2,
		Memory:        3.750000,
		Price: map[string]float64{
			"ap-northeast-1": 0.128,
			"ap-northeast-2": 0.115,
			"ap-southeast-1": 0.132,
			"ap-southeast-2": 0.132,
			"eu-central-1":   0.129,
			"eu-west-1":      0.12,
			"sa-east-1":      0.163,
			"us-east-1":      0.105,
			"us-gov-west-1":  0.126,
			"us-west-1":      0.12,
			"us-west-2":      0.105,
		},
		Generation: "previous",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx": true,
		},
	},
	{
		Name:          "r5a.24xlarge",
		EBSOptimized:  true,
		EBSThroughput: 1250.000000,
		VCPU:          96,
		Memory:        768.000000,
		Price: map[string]float64{
			"ap-northeast-1": 6.576,
			"ap-southeast-1": 6.528,
			"ap-southeast-2": 6.528,
			"ca-central-1":   5.952,
			"eu-central-1":   6.576,
			"eu-west-1":      6.096,
			"eu-west-3":      6.384,
			"us-east-1":      5.424,
			"us-east-2":      5.424,
			"us-gov-east-1":  6.528,
			"us-gov-west-1":  6.528,
			"us-west-1":      6.048,
			"us-west-2":      5.424,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "g3.16xlarge",
		EBSOptimized:  true,
		EBSThroughput: 1750.000000,
		VCPU:          64,
		Memory:        488.000000,
		Price: map[string]float64{
			"ap-northeast-1": 6.32,
			"ap-northeast-2": 5.68,
			"ap-southeast-1": 6.68,
			"ap-southeast-2": 7.016,
			"ca-central-1":   5.664,
			"eu-central-1":   5.7,
			"eu-west-1":      4.84,
			"eu-west-2":      5.716,
			"us-east-1":      4.56,
			"us-east-2":      4.56,
			"us-gov-west-1":  5.28,
			"us-west-1":      6.136,
			"us-west-2":      4.56,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "c4.xlarge",
		EBSOptimized:  true,
		EBSThroughput: 93.750000,
		VCPU:          4,
		Memory:        7.500000,
		Price: map[string]float64{
			"ap-northeast-1": 0.252,
			"ap-northeast-2": 0.227,
			"ap-northeast-3": 0.252,
			"ap-south-1":     0.2,
			"ap-southeast-1": 0.231,
			"ap-southeast-2": 0.261,
			"ca-central-1":   0.218,
			"eu-central-1":   0.227,
			"eu-west-1":      0.226,
			"eu-west-2":      0.237,
			"sa-east-1":      0.309,
			"us-east-1":      0.199,
			"us-east-2":      0.199,
			"us-gov-west-1":  0.239,
			"us-west-1":      0.249,
			"us-west-2":      0.199,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "x1e.4xlarge",
		EBSOptimized:  true,
		EBSThroughput: 218.750000,
		VCPU:          16,
		Memory:        488.000000,
		Price: map[string]float64{
			"ap-northeast-1": 4.836,
			"ap-northeast-2": 4.836,
			"ap-southeast-1": 4.836,
			"ap-southeast-2": 4.836,
			"eu-central-1":   4.668,
			"eu-west-1":      4,
			"us-east-1":      3.336,
			"us-east-2":      3.336,
			"us-gov-east-1":  4,
			"us-gov-west-1":  4,
			"us-west-2":      3.336,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "m5ad.xlarge",
		EBSOptimized:  true,
		EBSThroughput: 265.000000,
		VCPU:          4,
		Memory:        16.000000,
		Price: map[string]float64{
			"ap-southeast-1": 0.258,
			"ap-southeast-2": 0.26,
			"ca-central-1":   0.23,
			"us-east-1":      0.206,
			"us-east-2":      0.206,
			"us-gov-west-1":  0.262,
			"us-west-2":      0.206,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "i3en.24xlarge",
		EBSOptimized:  true,
		EBSThroughput: 1750.000000,
		VCPU:          96,
		Memory:        768.000000,
		Price: map[string]float64{
			"ap-northeast-1": 12.768,
			"ap-northeast-2": 12.768,
			"ap-southeast-1": 13.008,
			"ap-southeast-2": 13.008,
			"eu-central-1":   12.96,
			"eu-west-1":      12,
			"eu-west-2":      12.624,
			"us-east-1":      10.848,
			"us-east-2":      10.848,
			"us-gov-east-1":  13.104,
			"us-gov-west-1":  13.104,
			"us-west-1":      12,
			"us-west-2":      10.848,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "c5n.18xlarge",
		EBSOptimized:  true,
		EBSThroughput: 1750.000000,
		VCPU:          72,
		Memory:        192.000000,
		Price: map[string]float64{
			"ap-northeast-1": 4.896,
			"ap-northeast-2": 4.392,
			"ap-south-1":     3.888,
			"ap-southeast-1": 4.464,
			"ap-southeast-2": 5.076,
			"ca-central-1":   4.248,
			"eu-central-1":   4.428,
			"eu-west-1":      4.392,
			"us-east-1":      3.888,
			"us-east-2":      3.888,
			"us-gov-east-1":  4.68,
			"us-gov-west-1":  4.68,
			"us-west-1":      4.86,
			"us-west-2":      3.888,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       true,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "m4.large",
		EBSOptimized:  true,
		EBSThroughput: 56.250000,
		VCPU:          2,
		Memory:        8.000000,
		Price: map[string]float64{
			"ap-northeast-1": 0.129,
			"ap-northeast-2": 0.123,
			"ap-northeast-3": 0.129,
			"ap-south-1":     0.105,
			"ap-southeast-1": 0.125,
			"ap-southeast-2": 0.125,
			"ca-central-1":   0.111,
			"eu-central-1":   0.12,
			"eu-west-1":      0.111,
			"eu-west-2":      0.116,
			"sa-east-1":      0.159,
			"us-east-1":      0.1,
			"us-east-2":      0.1,
			"us-gov-west-1":  0.126,
			"us-west-1":      0.117,
			"us-west-2":      0.1,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "h1.4xlarge",
		EBSOptimized:  true,
		EBSThroughput: 437.500000,
		VCPU:          16,
		Memory:        64.000000,
		Price: map[string]float64{
			"eu-west-1": 1.038,
			"us-east-1": 0.936,
			"us-east-2": 0.936,
			"us-west-2": 0.936,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "x1e.xlarge",
		EBSOptimized:  true,
		EBSThroughput: 62.500000,
		VCPU:          4,
		Memory:        122.000000,
		Price: map[string]float64{
			"ap-northeast-1": 1.209,
			"ap-northeast-2": 1.209,
			"ap-southeast-1": 1.209,
			"ap-southeast-2": 1.209,
			"eu-central-1":   1.167,
			"eu-west-1":      1,
			"us-east-1":      0.834,
			"us-east-2":      0.834,
			"us-gov-east-1":  1,
			"us-gov-west-1":  1,
			"us-west-2":      0.834,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "g4dn.8xlarge",
		EBSOptimized:  true,
		EBSThroughput: 875.000000,
		VCPU:          32,
		Memory:        128.000000,
		Price: map[string]float64{
			"ap-northeast-1": 2.938,
			"ap-northeast-2": 2.677,
			"eu-central-1":   2.72,
			"eu-west-1":      2.426,
			"eu-west-2":      2.546,
			"us-east-1":      2.176,
			"us-east-2":      2.176,
			"us-west-1":      2.611,
			"us-west-2":      2.176,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "m5.large",
		EBSOptimized:  true,
		EBSThroughput: 437.500000,
		VCPU:          2,
		Memory:        8.000000,
		Price: map[string]float64{
			"ap-east-1":      0.132,
			"ap-northeast-1": 0.124,
			"ap-northeast-2": 0.118,
			"ap-northeast-3": 0.124,
			"ap-south-1":     0.101,
			"ap-southeast-1": 0.12,
			"ap-southeast-2": 0.12,
			"ca-central-1":   0.107,
			"eu-central-1":   0.115,
			"eu-north-1":     0.102,
			"eu-west-1":      0.107,
			"eu-west-2":      0.111,
			"eu-west-3":      0.112,
			"me-south-1":     0.118,
			"sa-east-1":      0.153,
			"us-east-1":      0.096,
			"us-east-2":      0.096,
			"us-gov-east-1":  0.121,
			"us-gov-west-1":  0.121,
			"us-west-1":      0.112,
			"us-west-2":      0.096,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       true,
		CPUFeatures: map[string]bool{
			"intel_avx":    true,
			"intel_avx2":   true,
			"intel_avx512": true,
		},
	},
	{
		Name:          "c5.4xlarge",
		EBSOptimized:  true,
		EBSThroughput: 437.500000,
		VCPU:          16,
		Memory:        32.000000,
		Price: map[string]float64{
			"ap-east-1":      0.864,
			"ap-northeast-1": 0.856,
			"ap-northeast-2": 0.768,
			"ap-northeast-3": 0.856,
			"ap-south-1":     0.68,
			"ap-southeast-1": 0.784,
			"ap-southeast-2": 0.888,
			"ca-central-1":   0.744,
			"eu-central-1":   0.776,
			"eu-north-1":     0.728,
			"eu-west-1":      0.768,
			"eu-west-2":      0.808,
			"eu-west-3":      0.808,
			"me-south-1":     0.845,
			"sa-east-1":      1.048,
			"us-east-1":      0.68,
			"us-east-2":      0.68,
			"us-gov-east-1":  0.816,
			"us-gov-west-1":  0.816,
			"us-west-1":      0.848,
			"us-west-2":      0.68,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       true,
		CPUFeatures: map[string]bool{
			"intel_avx":    true,
			"intel_avx2":   true,
			"intel_avx512": true,
		},
	},
	{
		Name:          "m5d.24xlarge",
		EBSOptimized:  true,
		EBSThroughput: 1750.000000,
		VCPU:          96,
		Memory:        384.000000,
		Price: map[string]float64{
			"ap-east-1":      7.44,
			"ap-northeast-1": 7.008,
			"ap-northeast-2": 6.672,
			"ap-northeast-3": 7.008,
			"ap-south-1":     5.856,
			"ap-southeast-1": 6.768,
			"ap-southeast-2": 6.816,
			"ca-central-1":   6.048,
			"eu-central-1":   6.528,
			"eu-north-1":     5.76,
			"eu-west-1":      6.048,
			"eu-west-2":      6.288,
			"eu-west-3":      6.336,
			"me-south-1":     6.653,
			"us-east-1":      5.424,
			"us-east-2":      5.424,
			"us-gov-east-1":  6.864,
			"us-gov-west-1":  6.864,
			"us-west-1":      6.384,
			"us-west-2":      5.424,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       true,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "r3.large",
		EBSOptimized:  false,
		EBSThroughput: 0.000000,
		VCPU:          2,
		Memory:        15.250000,
		Price: map[string]float64{
			"ap-northeast-1": 0.2,
			"ap-northeast-2": 0.2,
			"ap-south-1":     0.19,
			"ap-southeast-1": 0.2,
			"ap-southeast-2": 0.2,
			"eu-central-1":   0.2,
			"eu-west-1":      0.185,
			"sa-east-1":      0.35,
			"us-east-1":      0.166,
			"us-east-2":      0.166,
			"us-gov-west-1":  0.2,
			"us-west-1":      0.185,
			"us-west-2":      0.166,
		},
		Generation: "previous",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx": true,
		},
	},
	{
		Name:          "c4.large",
		EBSOptimized:  true,
		EBSThroughput: 62.500000,
		VCPU:          2,
		Memory:        3.750000,
		Price: map[string]float64{
			"ap-northeast-1": 0.126,
			"ap-northeast-2": 0.114,
			"ap-northeast-3": 0.126,
			"ap-south-1":     0.1,
			"ap-southeast-1": 0.115,
			"ap-southeast-2": 0.13,
			"ca-central-1":   0.11,
			"eu-central-1":   0.114,
			"eu-west-1":      0.113,
			"eu-west-2":      0.119,
			"sa-east-1":      0.155,
			"us-east-1":      0.1,
			"us-east-2":      0.1,
			"us-gov-west-1":  0.12,
			"us-west-1":      0.124,
			"us-west-2":      0.1,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "r5d.xlarge",
		EBSOptimized:  true,
		EBSThroughput: 437.500000,
		VCPU:          4,
		Memory:        32.000000,
		Price: map[string]float64{
			"ap-east-1":      0.35,
			"ap-northeast-1": 0.348,
			"ap-northeast-2": 0.346,
			"ap-northeast-3": 0.348,
			"ap-south-1":     0.302,
			"ap-southeast-1": 0.348,
			"ap-southeast-2": 0.348,
			"ca-central-1":   0.316,
			"eu-central-1":   0.346,
			"eu-north-1":     0.304,
			"eu-west-1":      0.32,
			"eu-west-2":      0.338,
			"eu-west-3":      0.338,
			"me-south-1":     0.352,
			"us-east-1":      0.288,
			"us-east-2":      0.288,
			"us-gov-east-1":  0.346,
			"us-gov-west-1":  0.346,
			"us-west-1":      0.324,
			"us-west-2":      0.288,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "m5d.large",
		EBSOptimized:  true,
		EBSThroughput: 437.500000,
		VCPU:          2,
		Memory:        8.000000,
		Price: map[string]float64{
			"ap-east-1":      0.155,
			"ap-northeast-1": 0.146,
			"ap-northeast-2": 0.139,
			"ap-northeast-3": 0.146,
			"ap-south-1":     0.122,
			"ap-southeast-1": 0.141,
			"ap-southeast-2": 0.142,
			"ca-central-1":   0.126,
			"eu-central-1":   0.136,
			"eu-north-1":     0.12,
			"eu-west-1":      0.126,
			"eu-west-2":      0.131,
			"eu-west-3":      0.132,
			"me-south-1":     0.139,
			"us-east-1":      0.113,
			"us-east-2":      0.113,
			"us-gov-east-1":  0.143,
			"us-gov-west-1":  0.143,
			"us-west-1":      0.133,
			"us-west-2":      0.113,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       true,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "r5.2xlarge",
		EBSOptimized:  true,
		EBSThroughput: 437.500000,
		VCPU:          8,
		Memory:        64.000000,
		Price: map[string]float64{
			"ap-east-1":      0.668,
			"ap-northeast-1": 0.608,
			"ap-northeast-2": 0.608,
			"ap-northeast-3": 0.608,
			"ap-south-1":     0.52,
			"ap-southeast-1": 0.608,
			"ap-southeast-2": 0.604,
			"ca-central-1":   0.552,
			"eu-central-1":   0.608,
			"eu-north-1":     0.536,
			"eu-west-1":      0.564,
			"eu-west-2":      0.592,
			"eu-west-3":      0.592,
			"me-south-1":     0.62,
			"us-east-1":      0.504,
			"us-east-2":      0.504,
			"us-gov-east-1":  0.604,
			"us-gov-west-1":  0.604,
			"us-west-1":      0.56,
			"us-west-2":      0.504,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "m3.2xlarge",
		EBSOptimized:  false,
		EBSThroughput: 125.000000,
		VCPU:          8,
		Memory:        30.000000,
		Price: map[string]float64{
			"ap-northeast-1": 0.77,
			"ap-northeast-2": 0.732,
			"ap-southeast-1": 0.784,
			"ap-southeast-2": 0.745,
			"eu-central-1":   0.632,
			"eu-west-1":      0.585,
			"sa-east-1":      0.761,
			"us-east-1":      0.532,
			"us-gov-west-1":  0.672,
			"us-west-1":      0.616,
			"us-west-2":      0.532,
		},
		Generation: "previous",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx": true,
		},
	},
	{
		Name:          "m5d.2xlarge",
		EBSOptimized:  true,
		EBSThroughput: 437.500000,
		VCPU:          8,
		Memory:        32.000000,
		Price: map[string]float64{
			"ap-east-1":      0.62,
			"ap-northeast-1": 0.584,
			"ap-northeast-2": 0.556,
			"ap-northeast-3": 0.584,
			"ap-south-1":     0.488,
			"ap-southeast-1": 0.564,
			"ap-southeast-2": 0.568,
			"ca-central-1":   0.504,
			"eu-central-1":   0.544,
			"eu-north-1":     0.48,
			"eu-west-1":      0.504,
			"eu-west-2":      0.524,
			"eu-west-3":      0.528,
			"me-south-1":     0.554,
			"us-east-1":      0.452,
			"us-east-2":      0.452,
			"us-gov-east-1":  0.572,
			"us-gov-west-1":  0.572,
			"us-west-1":      0.532,
			"us-west-2":      0.452,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       true,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "m4.10xlarge",
		EBSOptimized:  true,
		EBSThroughput: 500.000000,
		VCPU:          40,
		Memory:        160.000000,
		Price: map[string]float64{
			"ap-northeast-1": 2.58,
			"ap-northeast-2": 2.46,
			"ap-northeast-3": 2.58,
			"ap-south-1":     2.1,
			"ap-southeast-1": 2.5,
			"ap-southeast-2": 2.5,
			"ca-central-1":   2.22,
			"eu-central-1":   2.4,
			"eu-west-1":      2.22,
			"eu-west-2":      2.32,
			"sa-east-1":      3.18,
			"us-east-1":      2,
			"us-east-2":      2,
			"us-gov-west-1":  2.52,
			"us-west-1":      2.34,
			"us-west-2":      2,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "m5ad.large",
		EBSOptimized:  true,
		EBSThroughput: 265.000000,
		VCPU:          2,
		Memory:        8.000000,
		Price: map[string]float64{
			"ap-southeast-1": 0.129,
			"ap-southeast-2": 0.13,
			"ca-central-1":   0.115,
			"us-east-1":      0.103,
			"us-east-2":      0.103,
			"us-gov-west-1":  0.131,
			"us-west-2":      0.103,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "c5d.large",
		EBSOptimized:  true,
		EBSThroughput: 437.500000,
		VCPU:          2,
		Memory:        4.000000,
		Price: map[string]float64{
			"ap-east-1":      0.123,
			"ap-northeast-1": 0.122,
			"ap-northeast-2": 0.11,
			"ap-northeast-3": 0.122,
			"ap-south-1":     0.099,
			"ap-southeast-1": 0.112,
			"ap-southeast-2": 0.126,
			"ca-central-1":   0.106,
			"eu-central-1":   0.111,
			"eu-north-1":     0.104,
			"eu-west-1":      0.109,
			"eu-west-2":      0.115,
			"eu-west-3":      0.115,
			"me-south-1":     0.12,
			"us-east-1":      0.096,
			"us-east-2":      0.096,
			"us-gov-east-1":  0.116,
			"us-gov-west-1":  0.116,
			"us-west-1":      0.12,
			"us-west-2":      0.096,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       true,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "x1.32xlarge",
		EBSOptimized:  true,
		EBSThroughput: 1750.000000,
		VCPU:          128,
		Memory:        1952.000000,
		Price: map[string]float64{
			"ap-east-1":      21.276,
			"ap-northeast-1": 19.341,
			"ap-northeast-2": 19.341,
			"ap-south-1":     13.762,
			"ap-southeast-1": 19.341,
			"ap-southeast-2": 19.341,
			"ca-central-1":   14.672,
			"eu-central-1":   18.674,
			"eu-west-1":      16.006,
			"eu-west-2":      16.806,
			"eu-west-3":      16.806,
			"sa-east-1":      26.01,
			"us-east-1":      13.338,
			"us-east-2":      13.338,
			"us-gov-east-1":  16.006,
			"us-gov-west-1":  16.006,
			"us-west-2":      13.338,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        false,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "c5n.2xlarge",
		EBSOptimized:  true,
		EBSThroughput: 437.500000,
		VCPU:          8,
		Memory:        21.000000,
		Price: map[string]float64{
			"ap-northeast-1": 0.544,
			"ap-northeast-2": 0.488,
			"ap-south-1":     0.432,
			"ap-southeast-1": 0.496,
			"ap-southeast-2": 0.564,
			"ca-central-1":   0.472,
			"eu-central-1":   0.492,
			"eu-west-1":      0.488,
			"us-east-1":      0.432,
			"us-east-2":      0.432,
			"us-gov-east-1":  0.52,
			"us-gov-west-1":  0.52,
			"us-west-1":      0.54,
			"us-west-2":      0.432,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       true,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "m5d.xlarge",
		EBSOptimized:  true,
		EBSThroughput: 437.500000,
		VCPU:          4,
		Memory:        16.000000,
		Price: map[string]float64{
			"ap-east-1":      0.31,
			"ap-northeast-1": 0.292,
			"ap-northeast-2": 0.278,
			"ap-northeast-3": 0.292,
			"ap-south-1":     0.244,
			"ap-southeast-1": 0.282,
			"ap-southeast-2": 0.284,
			"ca-central-1":   0.252,
			"eu-central-1":   0.272,
			"eu-north-1":     0.24,
			"eu-west-1":      0.252,
			"eu-west-2":      0.262,
			"eu-west-3":      0.264,
			"me-south-1":     0.277,
			"us-east-1":      0.226,
			"us-east-2":      0.226,
			"us-gov-east-1":  0.286,
			"us-gov-west-1":  0.286,
			"us-west-1":      0.266,
			"us-west-2":      0.226,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       true,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "m5.12xlarge",
		EBSOptimized:  true,
		EBSThroughput: 875.000000,
		VCPU:          48,
		Memory:        192.000000,
		Price: map[string]float64{
			"ap-east-1":      3.168,
			"ap-northeast-1": 2.976,
			"ap-northeast-2": 2.832,
			"ap-northeast-3": 2.976,
			"ap-south-1":     2.424,
			"ap-southeast-1": 2.88,
			"ap-southeast-2": 2.88,
			"ca-central-1":   2.568,
			"eu-central-1":   2.76,
			"eu-north-1":     2.448,
			"eu-west-1":      2.568,
			"eu-west-2":      2.664,
			"eu-west-3":      2.688,
			"me-south-1":     2.825,
			"sa-east-1":      3.672,
			"us-east-1":      2.304,
			"us-east-2":      2.304,
			"us-gov-east-1":  2.904,
			"us-gov-west-1":  2.904,
			"us-west-1":      2.688,
			"us-west-2":      2.304,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       true,
		CPUFeatures: map[string]bool{
			"intel_avx":    true,
			"intel_avx2":   true,
			"intel_avx512": true,
		},
	},
	{
		Name:          "p3.16xlarge",
		EBSOptimized:  true,
		EBSThroughput: 1750.000000,
		VCPU:          64,
		Memory:        488.000000,
		Price: map[string]float64{
			"ap-northeast-1": 33.552,
			"ap-northeast-2": 33.872,
			"ap-southeast-1": 33.872,
			"ap-southeast-2": 33.872,
			"ca-central-1":   26.928,
			"eu-central-1":   30.584,
			"eu-west-1":      26.44,
			"eu-west-2":      28.712,
			"us-east-1":      24.48,
			"us-east-2":      24.48,
			"us-gov-west-1":  29.376,
			"us-west-2":      24.48,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "m3.large",
		EBSOptimized:  false,
		EBSThroughput: 0.000000,
		VCPU:          2,
		Memory:        7.500000,
		Price: map[string]float64{
			"ap-northeast-1": 0.193,
			"ap-northeast-2": 0.183,
			"ap-southeast-1": 0.196,
			"ap-southeast-2": 0.186,
			"eu-central-1":   0.158,
			"eu-west-1":      0.146,
			"sa-east-1":      0.19,
			"us-east-1":      0.133,
			"us-gov-west-1":  0.168,
			"us-west-1":      0.154,
			"us-west-2":      0.133,
		},
		Generation: "previous",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx": true,
		},
	},
	{
		Name:          "c5d.4xlarge",
		EBSOptimized:  true,
		EBSThroughput: 437.500000,
		VCPU:          16,
		Memory:        32.000000,
		Price: map[string]float64{
			"ap-east-1":      0.984,
			"ap-northeast-1": 0.976,
			"ap-northeast-2": 0.88,
			"ap-northeast-3": 0.976,
			"ap-south-1":     0.792,
			"ap-southeast-1": 0.896,
			"ap-southeast-2": 1.008,
			"ca-central-1":   0.848,
			"eu-central-1":   0.888,
			"eu-north-1":     0.832,
			"eu-west-1":      0.872,
			"eu-west-2":      0.92,
			"eu-west-3":      0.92,
			"me-south-1":     0.959,
			"us-east-1":      0.768,
			"us-east-2":      0.768,
			"us-gov-east-1":  0.928,
			"us-gov-west-1":  0.928,
			"us-west-1":      0.96,
			"us-west-2":      0.768,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       true,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "r5.24xlarge",
		EBSOptimized:  true,
		EBSThroughput: 1750.000000,
		VCPU:          96,
		Memory:        768.000000,
		Price: map[string]float64{
			"ap-east-1":      8.016,
			"ap-northeast-1": 7.296,
			"ap-northeast-2": 7.296,
			"ap-northeast-3": 7.296,
			"ap-south-1":     6.24,
			"ap-southeast-1": 7.296,
			"ap-southeast-2": 7.248,
			"ca-central-1":   6.624,
			"eu-central-1":   7.296,
			"eu-north-1":     6.432,
			"eu-west-1":      6.768,
			"eu-west-2":      7.104,
			"eu-west-3":      7.104,
			"me-south-1":     7.445,
			"us-east-1":      6.048,
			"us-east-2":      6.048,
			"us-gov-east-1":  7.248,
			"us-gov-west-1":  7.248,
			"us-west-1":      6.72,
			"us-west-2":      6.048,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "r4.large",
		EBSOptimized:  true,
		EBSThroughput: 53.130000,
		VCPU:          2,
		Memory:        15.250000,
		Price: map[string]float64{
			"ap-northeast-1": 0.16,
			"ap-northeast-2": 0.16,
			"ap-northeast-3": 0.16,
			"ap-south-1":     0.137,
			"ap-southeast-1": 0.16,
			"ap-southeast-2": 0.1596,
			"ca-central-1":   0.146,
			"eu-central-1":   0.16005,
			"eu-west-1":      0.1482,
			"eu-west-2":      0.156,
			"eu-west-3":      0.156,
			"sa-east-1":      0.28,
			"us-east-1":      0.133,
			"us-east-2":      0.133,
			"us-gov-west-1":  0.1596,
			"us-west-1":      0.1482,
			"us-west-2":      0.133,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "r3.xlarge",
		EBSOptimized:  false,
		EBSThroughput: 62.500000,
		VCPU:          4,
		Memory:        30.500000,
		Price: map[string]float64{
			"ap-northeast-1": 0.399,
			"ap-northeast-2": 0.399,
			"ap-south-1":     0.379,
			"ap-southeast-1": 0.399,
			"ap-southeast-2": 0.399,
			"eu-central-1":   0.4,
			"eu-west-1":      0.371,
			"sa-east-1":      0.7,
			"us-east-1":      0.333,
			"us-east-2":      0.332,
			"us-gov-west-1":  0.399,
			"us-west-1":      0.371,
			"us-west-2":      0.333,
		},
		Generation: "previous",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx": true,
		},
	},
	{
		Name:          "x1e.32xlarge",
		EBSOptimized:  true,
		EBSThroughput: 1750.000000,
		VCPU:          128,
		Memory:        3904.000000,
		Price: map[string]float64{
			"ap-northeast-1": 38.688,
			"ap-northeast-2": 38.688,
			"ap-southeast-1": 38.688,
			"ap-southeast-2": 38.688,
			"eu-central-1":   37.344,
			"eu-west-1":      32,
			"us-east-1":      26.688,
			"us-east-2":      26.688,
			"us-gov-east-1":  32,
			"us-gov-west-1":  32,
			"us-west-2":      26.688,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "c5n.xlarge",
		EBSOptimized:  true,
		EBSThroughput: 437.500000,
		VCPU:          4,
		Memory:        10.500000,
		Price: map[string]float64{
			"ap-northeast-1": 0.272,
			"ap-northeast-2": 0.244,
			"ap-south-1":     0.216,
			"ap-southeast-1": 0.248,
			"ap-southeast-2": 0.282,
			"ca-central-1":   0.236,
			"eu-central-1":   0.246,
			"eu-west-1":      0.244,
			"us-east-1":      0.216,
			"us-east-2":      0.216,
			"us-gov-east-1":  0.26,
			"us-gov-west-1":  0.26,
			"us-west-1":      0.27,
			"us-west-2":      0.216,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       true,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "m5a.4xlarge",
		EBSOptimized:  true,
		EBSThroughput: 265.000000,
		VCPU:          16,
		Memory:        64.000000,
		Price: map[string]float64{
			"ap-northeast-1": 0.896,
			"ap-southeast-1": 0.864,
			"ap-southeast-2": 0.864,
			"ca-central-1":   0.768,
			"eu-central-1":   0.832,
			"eu-west-1":      0.768,
			"eu-west-3":      0.808,
			"us-east-1":      0.688,
			"us-east-2":      0.688,
			"us-gov-east-1":  0.872,
			"us-gov-west-1":  0.872,
			"us-west-1":      0.808,
			"us-west-2":      0.688,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "r5ad.2xlarge",
		EBSOptimized:  true,
		EBSThroughput: 265.000000,
		VCPU:          8,
		Memory:        64.000000,
		Price: map[string]float64{
			"ap-southeast-1": 0.636,
			"ap-southeast-2": 0.636,
			"ca-central-1":   0.576,
			"us-east-1":      0.524,
			"us-east-2":      0.524,
			"us-gov-west-1":  0.632,
			"us-west-2":      0.524,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "t2.xlarge",
		EBSOptimized:  true,
		EBSThroughput: 0.000000,
		VCPU:          4,
		Memory:        16.000000,
		Price: map[string]float64{
			"ap-northeast-1": 0.2432,
			"ap-northeast-2": 0.2304,
			"ap-northeast-3": 0.2432,
			"ap-south-1":     0.1984,
			"ap-southeast-1": 0.2336,
			"ap-southeast-2": 0.2336,
			"ca-central-1":   0.2048,
			"eu-central-1":   0.2144,
			"eu-west-1":      0.2016,
			"eu-west-2":      0.2112,
			"eu-west-3":      0.2112,
			"sa-east-1":      0.2976,
			"us-east-1":      0.1856,
			"us-east-2":      0.1856,
			"us-gov-west-1":  0.2176,
			"us-west-1":      0.2208,
			"us-west-2":      0.1856,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx": true,
		},
	},
	{
		Name:          "p3dn.24xlarge",
		EBSOptimized:  true,
		EBSThroughput: 1750.000000,
		VCPU:          96,
		Memory:        768.000000,
		Price: map[string]float64{
			"ap-northeast-1": 42.783,
			"eu-west-1":      33.711,
			"us-east-1":      31.212,
			"us-gov-east-1":  37.454,
			"us-gov-west-1":  37.454,
			"us-west-2":      31.212,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "p2.16xlarge",
		EBSOptimized:  true,
		EBSThroughput: 1250.000000,
		VCPU:          64,
		Memory:        768.000000,
		Price: map[string]float64{
			"ap-northeast-1": 24.672,
			"ap-northeast-2": 23.44,
			"ap-south-1":     27.488,
			"ap-southeast-1": 27.488,
			"ap-southeast-2": 24.672,
			"eu-central-1":   21.216,
			"eu-west-1":      15.552,
			"us-east-1":      14.4,
			"us-east-2":      14.4,
			"us-gov-west-1":  17.28,
			"us-west-2":      14.4,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "c3.8xlarge",
		EBSOptimized:  false,
		EBSThroughput: 0.000000,
		VCPU:          32,
		Memory:        60.000000,
		Price: map[string]float64{
			"ap-northeast-1": 2.043,
			"ap-northeast-2": 1.839,
			"ap-southeast-1": 2.117,
			"ap-southeast-2": 2.117,
			"eu-central-1":   2.064,
			"eu-west-1":      1.912,
			"sa-east-1":      2.6,
			"us-east-1":      1.68,
			"us-gov-west-1":  2.016,
			"us-west-1":      1.912,
			"us-west-2":      1.68,
		},
		Generation: "previous",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx": true,
		},
	},
	{
		Name:          "m3.medium",
		EBSOptimized:  false,
		EBSThroughput: 0.000000,
		VCPU:          1,
		Memory:        3.750000,
		Price: map[string]float64{
			"ap-northeast-1": 0.096,
			"ap-northeast-2": 0.091,
			"ap-southeast-1": 0.098,
			"ap-southeast-2": 0.093,
			"eu-central-1":   0.079,
			"eu-west-1":      0.073,
			"sa-east-1":      0.095,
			"us-east-1":      0.067,
			"us-gov-west-1":  0.084,
			"us-west-1":      0.077,
			"us-west-2":      0.067,
		},
		Generation: "previous",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx": true,
		},
	},
	{
		Name:          "x1e.2xlarge",
		EBSOptimized:  true,
		EBSThroughput: 125.000000,
		VCPU:          8,
		Memory:        244.000000,
		Price: map[string]float64{
			"ap-northeast-1": 2.418,
			"ap-northeast-2": 2.418,
			"ap-southeast-1": 2.418,
			"ap-southeast-2": 2.418,
			"eu-central-1":   2.334,
			"eu-west-1":      2,
			"us-east-1":      1.668,
			"us-east-2":      1.668,
			"us-gov-east-1":  2,
			"us-gov-west-1":  2,
			"us-west-2":      1.668,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "m5a.8xlarge",
		EBSOptimized:  true,
		EBSThroughput: 437.500000,
		VCPU:          32,
		Memory:        128.000000,
		Price: map[string]float64{
			"ap-northeast-1": 1.792,
			"ap-southeast-1": 1.728,
			"ap-southeast-2": 1.728,
			"ca-central-1":   1.536,
			"eu-central-1":   1.664,
			"eu-west-1":      1.536,
			"eu-west-3":      1.616,
			"us-east-1":      1.376,
			"us-east-2":      1.376,
			"us-gov-east-1":  1.744,
			"us-gov-west-1":  1.744,
			"us-west-1":      1.616,
			"us-west-2":      1.376,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "m5ad.2xlarge",
		EBSOptimized:  true,
		EBSThroughput: 265.000000,
		VCPU:          8,
		Memory:        32.000000,
		Price: map[string]float64{
			"ap-southeast-1": 0.516,
			"ap-southeast-2": 0.52,
			"ca-central-1":   0.46,
			"us-east-1":      0.412,
			"us-east-2":      0.412,
			"us-gov-west-1":  0.524,
			"us-west-2":      0.412,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "r5a.2xlarge",
		EBSOptimized:  true,
		EBSThroughput: 265.000000,
		VCPU:          8,
		Memory:        64.000000,
		Price: map[string]float64{
			"ap-northeast-1": 0.548,
			"ap-southeast-1": 0.544,
			"ap-southeast-2": 0.544,
			"ca-central-1":   0.496,
			"eu-central-1":   0.548,
			"eu-west-1":      0.508,
			"eu-west-3":      0.532,
			"us-east-1":      0.452,
			"us-east-2":      0.452,
			"us-gov-east-1":  0.544,
			"us-gov-west-1":  0.544,
			"us-west-1":      0.504,
			"us-west-2":      0.452,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "m5a.12xlarge",
		EBSOptimized:  true,
		EBSThroughput: 625.000000,
		VCPU:          48,
		Memory:        192.000000,
		Price: map[string]float64{
			"ap-northeast-1": 2.688,
			"ap-southeast-1": 2.592,
			"ap-southeast-2": 2.592,
			"ca-central-1":   2.304,
			"eu-central-1":   2.496,
			"eu-west-1":      2.304,
			"eu-west-3":      2.424,
			"us-east-1":      2.064,
			"us-east-2":      2.064,
			"us-gov-east-1":  2.616,
			"us-gov-west-1":  2.616,
			"us-west-1":      2.424,
			"us-west-2":      2.064,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "m5d.16xlarge",
		EBSOptimized:  true,
		EBSThroughput: 1250.000000,
		VCPU:          64,
		Memory:        256.000000,
		Price: map[string]float64{
			"ap-east-1":      4.96,
			"ap-northeast-1": 4.672,
			"ap-northeast-2": 4.448,
			"ap-northeast-3": 4.672,
			"ap-south-1":     3.904,
			"ap-southeast-1": 4.512,
			"ap-southeast-2": 4.544,
			"ca-central-1":   4.032,
			"eu-central-1":   4.352,
			"eu-north-1":     3.84,
			"eu-west-1":      4.032,
			"eu-west-2":      4.192,
			"eu-west-3":      4.224,
			"me-south-1":     4.435,
			"us-east-1":      3.616,
			"us-east-2":      3.616,
			"us-gov-east-1":  4.576,
			"us-gov-west-1":  4.576,
			"us-west-1":      4.256,
			"us-west-2":      3.616,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       true,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "d2.xlarge",
		EBSOptimized:  true,
		EBSThroughput: 93.750000,
		VCPU:          4,
		Memory:        30.500000,
		Price: map[string]float64{
			"ap-east-1":      0.957,
			"ap-northeast-1": 0.844,
			"ap-northeast-2": 0.844,
			"ap-northeast-3": 0.844,
			"ap-south-1":     0.827,
			"ap-southeast-1": 0.87,
			"ap-southeast-2": 0.87,
			"ca-central-1":   0.759,
			"eu-central-1":   0.794,
			"eu-north-1":     0.698,
			"eu-west-1":      0.735,
			"eu-west-2":      0.772,
			"eu-west-3":      0.772,
			"me-south-1":     0.809,
			"us-east-1":      0.69,
			"us-east-2":      0.69,
			"us-gov-west-1":  0.828,
			"us-west-1":      0.781,
			"us-west-2":      0.69,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "c5.2xlarge",
		EBSOptimized:  true,
		EBSThroughput: 437.500000,
		VCPU:          8,
		Memory:        16.000000,
		Price: map[string]float64{
			"ap-east-1":      0.432,
			"ap-northeast-1": 0.428,
			"ap-northeast-2": 0.384,
			"ap-northeast-3": 0.428,
			"ap-south-1":     0.34,
			"ap-southeast-1": 0.392,
			"ap-southeast-2": 0.444,
			"ca-central-1":   0.372,
			"eu-central-1":   0.388,
			"eu-north-1":     0.364,
			"eu-west-1":      0.384,
			"eu-west-2":      0.404,
			"eu-west-3":      0.404,
			"me-south-1":     0.422,
			"sa-east-1":      0.524,
			"us-east-1":      0.34,
			"us-east-2":      0.34,
			"us-gov-east-1":  0.408,
			"us-gov-west-1":  0.408,
			"us-west-1":      0.424,
			"us-west-2":      0.34,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       true,
		CPUFeatures: map[string]bool{
			"intel_avx":    true,
			"intel_avx2":   true,
			"intel_avx512": true,
		},
	},
	{
		Name:          "g4dn.16xlarge",
		EBSOptimized:  true,
		EBSThroughput: 875.000000,
		VCPU:          64,
		Memory:        256.000000,
		Price: map[string]float64{
			"ap-northeast-1": 5.875,
			"ap-northeast-2": 5.353,
			"eu-central-1":   5.44,
			"eu-west-1":      4.853,
			"eu-west-2":      5.092,
			"us-east-1":      4.352,
			"us-east-2":      4.352,
			"us-west-1":      5.222,
			"us-west-2":      4.352,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "c5d.2xlarge",
		EBSOptimized:  true,
		EBSThroughput: 437.500000,
		VCPU:          8,
		Memory:        16.000000,
		Price: map[string]float64{
			"ap-east-1":      0.492,
			"ap-northeast-1": 0.488,
			"ap-northeast-2": 0.44,
			"ap-northeast-3": 0.488,
			"ap-south-1":     0.396,
			"ap-southeast-1": 0.448,
			"ap-southeast-2": 0.504,
			"ca-central-1":   0.424,
			"eu-central-1":   0.444,
			"eu-north-1":     0.416,
			"eu-west-1":      0.436,
			"eu-west-2":      0.46,
			"eu-west-3":      0.46,
			"me-south-1":     0.48,
			"us-east-1":      0.384,
			"us-east-2":      0.384,
			"us-gov-east-1":  0.464,
			"us-gov-west-1":  0.464,
			"us-west-1":      0.48,
			"us-west-2":      0.384,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       true,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "m3.xlarge",
		EBSOptimized:  false,
		EBSThroughput: 62.500000,
		VCPU:          4,
		Memory:        15.000000,
		Price: map[string]float64{
			"ap-northeast-1": 0.385,
			"ap-northeast-2": 0.366,
			"ap-southeast-1": 0.392,
			"ap-southeast-2": 0.372,
			"eu-central-1":   0.315,
			"eu-west-1":      0.293,
			"sa-east-1":      0.381,
			"us-east-1":      0.266,
			"us-gov-west-1":  0.336,
			"us-west-1":      0.308,
			"us-west-2":      0.266,
		},
		Generation: "previous",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx": true,
		},
	},
	{
		Name:          "r4.16xlarge",
		EBSOptimized:  true,
		EBSThroughput: 1750.000000,
		VCPU:          64,
		Memory:        488.000000,
		Price: map[string]float64{
			"ap-northeast-1": 5.12,
			"ap-northeast-2": 5.12,
			"ap-northeast-3": 5.12,
			"ap-south-1":     4.384,
			"ap-southeast-1": 5.12,
			"ap-southeast-2": 5.1072,
			"ca-central-1":   4.672,
			"eu-central-1":   5.1216,
			"eu-west-1":      4.7424,
			"eu-west-2":      4.992,
			"eu-west-3":      4.992,
			"sa-east-1":      8.96,
			"us-east-1":      4.256,
			"us-east-2":      4.256,
			"us-gov-west-1":  5.1072,
			"us-west-1":      4.7424,
			"us-west-2":      4.256,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "g4dn.4xlarge",
		EBSOptimized:  true,
		EBSThroughput: 437.500000,
		VCPU:          16,
		Memory:        64.000000,
		Price: map[string]float64{
			"ap-northeast-1": 1.625,
			"ap-northeast-2": 1.481,
			"eu-central-1":   1.505,
			"eu-west-1":      1.342,
			"eu-west-2":      1.409,
			"us-east-1":      1.204,
			"us-east-2":      1.204,
			"us-west-1":      1.445,
			"us-west-2":      1.204,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "i3.xlarge",
		EBSOptimized:  true,
		EBSThroughput: 106.250000,
		VCPU:          4,
		Memory:        30.500000,
		Price: map[string]float64{
			"ap-east-1":      0.412,
			"ap-northeast-1": 0.366,
			"ap-northeast-2": 0.366,
			"ap-northeast-3": 0.366,
			"ap-south-1":     0.354,
			"ap-southeast-1": 0.374,
			"ap-southeast-2": 0.374,
			"ca-central-1":   0.344,
			"eu-central-1":   0.372,
			"eu-north-1":     0.326,
			"eu-west-1":      0.344,
			"eu-west-2":      0.362,
			"eu-west-3":      0.362,
			"me-south-1":     0.378,
			"sa-east-1":      0.572,
			"us-east-1":      0.312,
			"us-east-2":      0.312,
			"us-gov-east-1":  0.376,
			"us-gov-west-1":  0.376,
			"us-west-1":      0.344,
			"us-west-2":      0.312,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "z1d.2xlarge",
		EBSOptimized:  true,
		EBSThroughput: 292.000000,
		VCPU:          8,
		Memory:        64.000000,
		Price: map[string]float64{
			"ap-northeast-1": 0.908,
			"ap-southeast-1": 0.904,
			"ap-southeast-2": 0.904,
			"eu-central-1":   0.9,
			"eu-west-1":      0.832,
			"eu-west-2":      0.879,
			"us-east-1":      0.744,
			"us-west-1":      0.844,
			"us-west-2":      0.744,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "c3.xlarge",
		EBSOptimized:  false,
		EBSThroughput: 62.500000,
		VCPU:          4,
		Memory:        7.500000,
		Price: map[string]float64{
			"ap-northeast-1": 0.255,
			"ap-northeast-2": 0.23,
			"ap-southeast-1": 0.265,
			"ap-southeast-2": 0.265,
			"eu-central-1":   0.258,
			"eu-west-1":      0.239,
			"sa-east-1":      0.325,
			"us-east-1":      0.21,
			"us-gov-west-1":  0.252,
			"us-west-1":      0.239,
			"us-west-2":      0.21,
		},
		Generation: "previous",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx": true,
		},
	},
	{
		Name:          "r5.8xlarge",
		EBSOptimized:  true,
		EBSThroughput: 625.000000,
		VCPU:          32,
		Memory:        256.000000,
		Price: map[string]float64{
			"ap-east-1":      2.672,
			"ap-northeast-1": 2.432,
			"ap-northeast-2": 2.432,
			"ap-northeast-3": 2.432,
			"ap-south-1":     2.08,
			"ap-southeast-1": 2.432,
			"ap-southeast-2": 2.416,
			"ca-central-1":   2.208,
			"eu-central-1":   2.432,
			"eu-north-1":     2.144,
			"eu-west-1":      2.256,
			"eu-west-2":      2.368,
			"eu-west-3":      2.368,
			"me-south-1":     2.482,
			"us-east-1":      2.016,
			"us-east-2":      2.016,
			"us-gov-east-1":  2.416,
			"us-gov-west-1":  2.416,
			"us-west-1":      2.24,
			"us-west-2":      2.016,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "c3.2xlarge",
		EBSOptimized:  false,
		EBSThroughput: 125.000000,
		VCPU:          8,
		Memory:        15.000000,
		Price: map[string]float64{
			"ap-northeast-1": 0.511,
			"ap-northeast-2": 0.46,
			"ap-southeast-1": 0.529,
			"ap-southeast-2": 0.529,
			"eu-central-1":   0.516,
			"eu-west-1":      0.478,
			"sa-east-1":      0.65,
			"us-east-1":      0.42,
			"us-gov-west-1":  0.504,
			"us-west-1":      0.478,
			"us-west-2":      0.42,
		},
		Generation: "previous",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx": true,
		},
	},
	{
		Name:          "r3.2xlarge",
		EBSOptimized:  false,
		EBSThroughput: 125.000000,
		VCPU:          8,
		Memory:        61.000000,
		Price: map[string]float64{
			"ap-northeast-1": 0.798,
			"ap-northeast-2": 0.798,
			"ap-south-1":     0.758,
			"ap-southeast-1": 0.798,
			"ap-southeast-2": 0.798,
			"eu-central-1":   0.8,
			"eu-west-1":      0.741,
			"sa-east-1":      1.399,
			"us-east-1":      0.665,
			"us-east-2":      0.664,
			"us-gov-west-1":  0.798,
			"us-west-1":      0.741,
			"us-west-2":      0.665,
		},
		Generation: "previous",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx": true,
		},
	},
	{
		Name:          "r4.2xlarge",
		EBSOptimized:  true,
		EBSThroughput: 212.500000,
		VCPU:          8,
		Memory:        61.000000,
		Price: map[string]float64{
			"ap-northeast-1": 0.64,
			"ap-northeast-2": 0.64,
			"ap-northeast-3": 0.64,
			"ap-south-1":     0.548,
			"ap-southeast-1": 0.64,
			"ap-southeast-2": 0.6384,
			"ca-central-1":   0.584,
			"eu-central-1":   0.6402,
			"eu-west-1":      0.5928,
			"eu-west-2":      0.624,
			"eu-west-3":      0.624,
			"sa-east-1":      1.12,
			"us-east-1":      0.532,
			"us-east-2":      0.532,
			"us-gov-west-1":  0.6384,
			"us-west-1":      0.5928,
			"us-west-2":      0.532,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "p2.8xlarge",
		EBSOptimized:  true,
		EBSThroughput: 625.000000,
		VCPU:          32,
		Memory:        488.000000,
		Price: map[string]float64{
			"ap-northeast-1": 12.336,
			"ap-northeast-2": 11.72,
			"ap-south-1":     13.744,
			"ap-southeast-1": 13.744,
			"ap-southeast-2": 12.336,
			"eu-central-1":   10.608,
			"eu-west-1":      7.776,
			"us-east-1":      7.2,
			"us-east-2":      7.2,
			"us-gov-west-1":  8.64,
			"us-west-2":      7.2,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "m5.xlarge",
		EBSOptimized:  true,
		EBSThroughput: 437.500000,
		VCPU:          4,
		Memory:        16.000000,
		Price: map[string]float64{
			"ap-east-1":      0.264,
			"ap-northeast-1": 0.248,
			"ap-northeast-2": 0.236,
			"ap-northeast-3": 0.248,
			"ap-south-1":     0.202,
			"ap-southeast-1": 0.24,
			"ap-southeast-2": 0.24,
			"ca-central-1":   0.214,
			"eu-central-1":   0.23,
			"eu-north-1":     0.204,
			"eu-west-1":      0.214,
			"eu-west-2":      0.222,
			"eu-west-3":      0.224,
			"me-south-1":     0.235,
			"sa-east-1":      0.306,
			"us-east-1":      0.192,
			"us-east-2":      0.192,
			"us-gov-east-1":  0.242,
			"us-gov-west-1":  0.242,
			"us-west-1":      0.224,
			"us-west-2":      0.192,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       true,
		CPUFeatures: map[string]bool{
			"intel_avx":    true,
			"intel_avx2":   true,
			"intel_avx512": true,
		},
	},
	{
		Name:          "c4.8xlarge",
		EBSOptimized:  true,
		EBSThroughput: 500.000000,
		VCPU:          36,
		Memory:        60.000000,
		Price: map[string]float64{
			"ap-northeast-1": 2.016,
			"ap-northeast-2": 1.815,
			"ap-northeast-3": 2.016,
			"ap-south-1":     1.6,
			"ap-southeast-1": 1.848,
			"ap-southeast-2": 2.085,
			"ca-central-1":   1.75,
			"eu-central-1":   1.817,
			"eu-west-1":      1.811,
			"eu-west-2":      1.902,
			"sa-east-1":      2.47,
			"us-east-1":      1.591,
			"us-east-2":      1.591,
			"us-gov-west-1":  1.915,
			"us-west-1":      1.993,
			"us-west-2":      1.591,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "c5n.9xlarge",
		EBSOptimized:  true,
		EBSThroughput: 875.000000,
		VCPU:          36,
		Memory:        96.000000,
		Price: map[string]float64{
			"ap-northeast-1": 2.448,
			"ap-northeast-2": 2.196,
			"ap-south-1":     1.944,
			"ap-southeast-1": 2.232,
			"ap-southeast-2": 2.538,
			"ca-central-1":   2.124,
			"eu-central-1":   2.214,
			"eu-west-1":      2.196,
			"us-east-1":      1.944,
			"us-east-2":      1.944,
			"us-gov-east-1":  2.34,
			"us-gov-west-1":  2.34,
			"us-west-1":      2.43,
			"us-west-2":      1.944,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       true,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "d2.2xlarge",
		EBSOptimized:  true,
		EBSThroughput: 125.000000,
		VCPU:          8,
		Memory:        61.000000,
		Price: map[string]float64{
			"ap-east-1":      1.914,
			"ap-northeast-1": 1.688,
			"ap-northeast-2": 1.688,
			"ap-northeast-3": 1.688,
			"ap-south-1":     1.653,
			"ap-southeast-1": 1.74,
			"ap-southeast-2": 1.74,
			"ca-central-1":   1.518,
			"eu-central-1":   1.588,
			"eu-north-1":     1.396,
			"eu-west-1":      1.47,
			"eu-west-2":      1.544,
			"eu-west-3":      1.544,
			"me-south-1":     1.617,
			"us-east-1":      1.38,
			"us-east-2":      1.38,
			"us-gov-west-1":  1.656,
			"us-west-1":      1.563,
			"us-west-2":      1.38,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "d2.4xlarge",
		EBSOptimized:  true,
		EBSThroughput: 250.000000,
		VCPU:          16,
		Memory:        122.000000,
		Price: map[string]float64{
			"ap-east-1":      3.828,
			"ap-northeast-1": 3.376,
			"ap-northeast-2": 3.376,
			"ap-northeast-3": 3.376,
			"ap-south-1":     3.306,
			"ap-southeast-1": 3.48,
			"ap-southeast-2": 3.48,
			"ca-central-1":   3.036,
			"eu-central-1":   3.176,
			"eu-north-1":     2.792,
			"eu-west-1":      2.94,
			"eu-west-2":      3.087,
			"eu-west-3":      3.088,
			"me-south-1":     3.234,
			"us-east-1":      2.76,
			"us-east-2":      2.76,
			"us-gov-west-1":  3.312,
			"us-west-1":      3.125,
			"us-west-2":      2.76,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "m5ad.4xlarge",
		EBSOptimized:  true,
		EBSThroughput: 265.000000,
		VCPU:          16,
		Memory:        64.000000,
		Price: map[string]float64{
			"ap-southeast-1": 1.032,
			"ap-southeast-2": 1.04,
			"ca-central-1":   0.92,
			"us-east-1":      0.824,
			"us-east-2":      0.824,
			"us-gov-west-1":  1.048,
			"us-west-2":      0.824,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "c5.xlarge",
		EBSOptimized:  true,
		EBSThroughput: 437.500000,
		VCPU:          4,
		Memory:        8.000000,
		Price: map[string]float64{
			"ap-east-1":      0.216,
			"ap-northeast-1": 0.214,
			"ap-northeast-2": 0.192,
			"ap-northeast-3": 0.214,
			"ap-south-1":     0.17,
			"ap-southeast-1": 0.196,
			"ap-southeast-2": 0.222,
			"ca-central-1":   0.186,
			"eu-central-1":   0.194,
			"eu-north-1":     0.182,
			"eu-west-1":      0.192,
			"eu-west-2":      0.202,
			"eu-west-3":      0.202,
			"me-south-1":     0.211,
			"sa-east-1":      0.262,
			"us-east-1":      0.17,
			"us-east-2":      0.17,
			"us-gov-east-1":  0.204,
			"us-gov-west-1":  0.204,
			"us-west-1":      0.212,
			"us-west-2":      0.17,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       true,
		CPUFeatures: map[string]bool{
			"intel_avx":    true,
			"intel_avx2":   true,
			"intel_avx512": true,
		},
	},
	{
		Name:          "m5d.4xlarge",
		EBSOptimized:  true,
		EBSThroughput: 437.500000,
		VCPU:          16,
		Memory:        64.000000,
		Price: map[string]float64{
			"ap-east-1":      1.24,
			"ap-northeast-1": 1.168,
			"ap-northeast-2": 1.112,
			"ap-northeast-3": 1.168,
			"ap-south-1":     0.976,
			"ap-southeast-1": 1.128,
			"ap-southeast-2": 1.136,
			"ca-central-1":   1.008,
			"eu-central-1":   1.088,
			"eu-north-1":     0.96,
			"eu-west-1":      1.008,
			"eu-west-2":      1.048,
			"eu-west-3":      1.056,
			"me-south-1":     1.109,
			"us-east-1":      0.904,
			"us-east-2":      0.904,
			"us-gov-east-1":  1.144,
			"us-gov-west-1":  1.144,
			"us-west-1":      1.064,
			"us-west-2":      0.904,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       true,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "r5.16xlarge",
		EBSOptimized:  true,
		EBSThroughput: 1250.000000,
		VCPU:          64,
		Memory:        512.000000,
		Price: map[string]float64{
			"ap-east-1":      5.344,
			"ap-northeast-1": 4.864,
			"ap-northeast-2": 4.864,
			"ap-northeast-3": 4.864,
			"ap-south-1":     4.16,
			"ap-southeast-1": 4.864,
			"ap-southeast-2": 4.832,
			"ca-central-1":   4.416,
			"eu-central-1":   4.864,
			"eu-north-1":     4.288,
			"eu-west-1":      4.512,
			"eu-west-2":      4.736,
			"eu-west-3":      4.736,
			"me-south-1":     4.963,
			"us-east-1":      4.032,
			"us-east-2":      4.032,
			"us-gov-east-1":  4.832,
			"us-gov-west-1":  4.832,
			"us-west-1":      4.48,
			"us-west-2":      4.032,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "m4.xlarge",
		EBSOptimized:  true,
		EBSThroughput: 93.750000,
		VCPU:          4,
		Memory:        16.000000,
		Price: map[string]float64{
			"ap-northeast-1": 0.258,
			"ap-northeast-2": 0.246,
			"ap-northeast-3": 0.258,
			"ap-south-1":     0.21,
			"ap-southeast-1": 0.25,
			"ap-southeast-2": 0.25,
			"ca-central-1":   0.222,
			"eu-central-1":   0.24,
			"eu-west-1":      0.222,
			"eu-west-2":      0.232,
			"sa-east-1":      0.318,
			"us-east-1":      0.2,
			"us-east-2":      0.2,
			"us-gov-west-1":  0.252,
			"us-west-1":      0.234,
			"us-west-2":      0.2,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "r5a.4xlarge",
		EBSOptimized:  true,
		EBSThroughput: 265.000000,
		VCPU:          16,
		Memory:        128.000000,
		Price: map[string]float64{
			"ap-northeast-1": 1.096,
			"ap-southeast-1": 1.088,
			"ap-southeast-2": 1.088,
			"ca-central-1":   0.992,
			"eu-central-1":   1.096,
			"eu-west-1":      1.016,
			"eu-west-3":      1.064,
			"us-east-1":      0.904,
			"us-east-2":      0.904,
			"us-gov-east-1":  1.088,
			"us-gov-west-1":  1.088,
			"us-west-1":      1.008,
			"us-west-2":      0.904,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "t3.xlarge",
		EBSOptimized:  true,
		EBSThroughput: 256.000000,
		VCPU:          4,
		Memory:        16.000000,
		Price: map[string]float64{
			"ap-east-1":      0.2336,
			"ap-northeast-1": 0.2176,
			"ap-northeast-2": 0.208,
			"ap-northeast-3": 0.2176,
			"ap-south-1":     0.1792,
			"ap-southeast-1": 0.2112,
			"ap-southeast-2": 0.2112,
			"ca-central-1":   0.1856,
			"eu-central-1":   0.192,
			"eu-north-1":     0.1728,
			"eu-west-1":      0.1824,
			"eu-west-2":      0.1888,
			"eu-west-3":      0.1888,
			"me-south-1":     0.2006,
			"sa-east-1":      0.2688,
			"us-east-1":      0.1664,
			"us-east-2":      0.1664,
			"us-gov-east-1":  0.1952,
			"us-gov-west-1":  0.1952,
			"us-west-1":      0.1984,
			"us-west-2":      0.1664,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "z1d.12xlarge",
		EBSOptimized:  true,
		EBSThroughput: 1750.000000,
		VCPU:          48,
		Memory:        384.000000,
		Price: map[string]float64{
			"ap-northeast-1": 5.448,
			"ap-southeast-1": 5.424,
			"ap-southeast-2": 5.424,
			"eu-central-1":   5.4,
			"eu-west-1":      4.992,
			"eu-west-2":      5.273,
			"us-east-1":      4.464,
			"us-west-1":      5.064,
			"us-west-2":      4.464,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "m4.16xlarge",
		EBSOptimized:  true,
		EBSThroughput: 1250.000000,
		VCPU:          64,
		Memory:        256.000000,
		Price: map[string]float64{
			"ap-northeast-1": 4.128,
			"ap-northeast-2": 3.936,
			"ap-northeast-3": 4.128,
			"ap-south-1":     3.36,
			"ap-southeast-1": 4,
			"ap-southeast-2": 4,
			"ca-central-1":   3.552,
			"eu-central-1":   3.84,
			"eu-west-1":      3.552,
			"eu-west-2":      3.712,
			"sa-east-1":      5.088,
			"us-east-1":      3.2,
			"us-east-2":      3.2,
			"us-gov-west-1":  4.032,
			"us-west-1":      3.744,
			"us-west-2":      3.2,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "r5.12xlarge",
		EBSOptimized:  true,
		EBSThroughput: 875.000000,
		VCPU:          48,
		Memory:        384.000000,
		Price: map[string]float64{
			"ap-east-1":      4.008,
			"ap-northeast-1": 3.648,
			"ap-northeast-2": 3.648,
			"ap-northeast-3": 3.648,
			"ap-south-1":     3.12,
			"ap-southeast-1": 3.648,
			"ap-southeast-2": 3.624,
			"ca-central-1":   3.312,
			"eu-central-1":   3.648,
			"eu-north-1":     3.216,
			"eu-west-1":      3.384,
			"eu-west-2":      3.552,
			"eu-west-3":      3.552,
			"me-south-1":     3.722,
			"us-east-1":      3.024,
			"us-east-2":      3.024,
			"us-gov-east-1":  3.624,
			"us-gov-west-1":  3.624,
			"us-west-1":      3.36,
			"us-west-2":      3.024,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "m4.4xlarge",
		EBSOptimized:  true,
		EBSThroughput: 250.000000,
		VCPU:          16,
		Memory:        64.000000,
		Price: map[string]float64{
			"ap-northeast-1": 1.032,
			"ap-northeast-2": 0.984,
			"ap-northeast-3": 1.032,
			"ap-south-1":     0.84,
			"ap-southeast-1": 1,
			"ap-southeast-2": 1,
			"ca-central-1":   0.888,
			"eu-central-1":   0.96,
			"eu-west-1":      0.888,
			"eu-west-2":      0.928,
			"sa-east-1":      1.272,
			"us-east-1":      0.8,
			"us-east-2":      0.8,
			"us-gov-west-1":  1.008,
			"us-west-1":      0.936,
			"us-west-2":      0.8,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "r4.xlarge",
		EBSOptimized:  true,
		EBSThroughput: 106.250000,
		VCPU:          4,
		Memory:        30.500000,
		Price: map[string]float64{
			"ap-northeast-1": 0.32,
			"ap-northeast-2": 0.32,
			"ap-northeast-3": 0.32,
			"ap-south-1":     0.274,
			"ap-southeast-1": 0.32,
			"ap-southeast-2": 0.3192,
			"ca-central-1":   0.292,
			"eu-central-1":   0.3201,
			"eu-west-1":      0.2964,
			"eu-west-2":      0.312,
			"eu-west-3":      0.312,
			"sa-east-1":      0.56,
			"us-east-1":      0.266,
			"us-east-2":      0.266,
			"us-gov-west-1":  0.3192,
			"us-west-1":      0.2964,
			"us-west-2":      0.266,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "z1d.6xlarge",
		EBSOptimized:  true,
		EBSThroughput: 875.000000,
		VCPU:          24,
		Memory:        192.000000,
		Price: map[string]float64{
			"ap-northeast-1": 2.724,
			"ap-southeast-1": 2.712,
			"ap-southeast-2": 2.712,
			"eu-central-1":   2.7,
			"eu-west-1":      2.496,
			"eu-west-2":      2.636,
			"us-east-1":      2.232,
			"us-west-1":      2.532,
			"us-west-2":      2.232,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "r5d.4xlarge",
		EBSOptimized:  true,
		EBSThroughput: 437.500000,
		VCPU:          16,
		Memory:        128.000000,
		Price: map[string]float64{
			"ap-east-1":      1.4,
			"ap-northeast-1": 1.392,
			"ap-northeast-2": 1.384,
			"ap-northeast-3": 1.392,
			"ap-south-1":     1.208,
			"ap-southeast-1": 1.392,
			"ap-southeast-2": 1.392,
			"ca-central-1":   1.264,
			"eu-central-1":   1.384,
			"eu-north-1":     1.216,
			"eu-west-1":      1.28,
			"eu-west-2":      1.352,
			"eu-west-3":      1.352,
			"me-south-1":     1.408,
			"us-east-1":      1.152,
			"us-east-2":      1.152,
			"us-gov-east-1":  1.384,
			"us-gov-west-1":  1.384,
			"us-west-1":      1.296,
			"us-west-2":      1.152,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "r5a.16xlarge",
		EBSOptimized:  true,
		EBSThroughput: 875.000000,
		VCPU:          64,
		Memory:        512.000000,
		Price: map[string]float64{
			"ap-northeast-1": 4.384,
			"ap-southeast-1": 4.352,
			"ap-southeast-2": 4.352,
			"ca-central-1":   3.968,
			"eu-central-1":   4.384,
			"eu-west-1":      4.064,
			"eu-west-3":      4.256,
			"us-east-1":      3.616,
			"us-east-2":      3.616,
			"us-gov-east-1":  4.352,
			"us-gov-west-1":  4.352,
			"us-west-1":      4.032,
			"us-west-2":      3.616,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "p2.xlarge",
		EBSOptimized:  true,
		EBSThroughput: 93.750000,
		VCPU:          4,
		Memory:        61.000000,
		Price: map[string]float64{
			"ap-northeast-1": 1.542,
			"ap-northeast-2": 1.465,
			"ap-south-1":     1.718,
			"ap-southeast-1": 1.718,
			"ap-southeast-2": 1.542,
			"eu-central-1":   1.326,
			"eu-west-1":      0.972,
			"us-east-1":      0.9,
			"us-east-2":      0.9,
			"us-gov-west-1":  1.08,
			"us-west-2":      0.9,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "c3.4xlarge",
		EBSOptimized:  false,
		EBSThroughput: 250.000000,
		VCPU:          16,
		Memory:        30.000000,
		Price: map[string]float64{
			"ap-northeast-1": 1.021,
			"ap-northeast-2": 0.919,
			"ap-southeast-1": 1.058,
			"ap-southeast-2": 1.058,
			"eu-central-1":   1.032,
			"eu-west-1":      0.956,
			"sa-east-1":      1.3,
			"us-east-1":      0.84,
			"us-gov-west-1":  1.008,
			"us-west-1":      0.956,
			"us-west-2":      0.84,
		},
		Generation: "previous",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx": true,
		},
	},
	{
		Name:          "r4.4xlarge",
		EBSOptimized:  true,
		EBSThroughput: 437.500000,
		VCPU:          16,
		Memory:        122.000000,
		Price: map[string]float64{
			"ap-northeast-1": 1.28,
			"ap-northeast-2": 1.28,
			"ap-northeast-3": 1.28,
			"ap-south-1":     1.096,
			"ap-southeast-1": 1.28,
			"ap-southeast-2": 1.2768,
			"ca-central-1":   1.168,
			"eu-central-1":   1.2804,
			"eu-west-1":      1.1856,
			"eu-west-2":      1.248,
			"eu-west-3":      1.248,
			"sa-east-1":      2.24,
			"us-east-1":      1.064,
			"us-east-2":      1.064,
			"us-gov-west-1":  1.2768,
			"us-west-1":      1.1856,
			"us-west-2":      1.064,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "r5a.xlarge",
		EBSOptimized:  true,
		EBSThroughput: 265.000000,
		VCPU:          4,
		Memory:        32.000000,
		Price: map[string]float64{
			"ap-northeast-1": 0.274,
			"ap-southeast-1": 0.272,
			"ap-southeast-2": 0.272,
			"ca-central-1":   0.248,
			"eu-central-1":   0.274,
			"eu-west-1":      0.254,
			"eu-west-3":      0.266,
			"us-east-1":      0.226,
			"us-east-2":      0.226,
			"us-gov-east-1":  0.272,
			"us-gov-west-1":  0.272,
			"us-west-1":      0.252,
			"us-west-2":      0.226,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "h1.2xlarge",
		EBSOptimized:  true,
		EBSThroughput: 218.750000,
		VCPU:          8,
		Memory:        32.000000,
		Price: map[string]float64{
			"eu-west-1": 0.519,
			"us-east-1": 0.468,
			"us-east-2": 0.468,
			"us-west-2": 0.468,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "m5ad.24xlarge",
		EBSOptimized:  true,
		EBSThroughput: 1250.000000,
		VCPU:          96,
		Memory:        384.000000,
		Price: map[string]float64{
			"ap-southeast-1": 6.192,
			"ap-southeast-2": 6.24,
			"ca-central-1":   5.52,
			"us-east-1":      4.944,
			"us-east-2":      4.944,
			"us-gov-west-1":  6.288,
			"us-west-2":      4.944,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "f1.4xlarge",
		EBSOptimized:  true,
		EBSThroughput: 400.000000,
		VCPU:          16,
		Memory:        244.000000,
		Price: map[string]float64{
			"eu-west-1":     3.63,
			"us-east-1":     3.3,
			"us-gov-west-1": 3.96,
			"us-west-1":     3.826,
			"us-west-2":     3.3,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        false,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "i3en.xlarge",
		EBSOptimized:  true,
		EBSThroughput: 437.500000,
		VCPU:          4,
		Memory:        32.000000,
		Price: map[string]float64{
			"ap-northeast-1": 0.532,
			"ap-northeast-2": 0.532,
			"ap-southeast-1": 0.542,
			"ap-southeast-2": 0.542,
			"eu-central-1":   0.54,
			"eu-west-1":      0.5,
			"eu-west-2":      0.526,
			"us-east-1":      0.452,
			"us-east-2":      0.452,
			"us-gov-east-1":  0.546,
			"us-gov-west-1":  0.546,
			"us-west-1":      0.5,
			"us-west-2":      0.452,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "r5a.12xlarge",
		EBSOptimized:  true,
		EBSThroughput: 625.000000,
		VCPU:          48,
		Memory:        384.000000,
		Price: map[string]float64{
			"ap-northeast-1": 3.288,
			"ap-southeast-1": 3.264,
			"ap-southeast-2": 3.264,
			"ca-central-1":   2.976,
			"eu-central-1":   3.288,
			"eu-west-1":      3.048,
			"eu-west-3":      3.192,
			"us-east-1":      2.712,
			"us-east-2":      2.712,
			"us-gov-east-1":  3.264,
			"us-gov-west-1":  3.264,
			"us-west-1":      3.024,
			"us-west-2":      2.712,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "r5ad.24xlarge",
		EBSOptimized:  true,
		EBSThroughput: 1250.000000,
		VCPU:          96,
		Memory:        768.000000,
		Price: map[string]float64{
			"ap-southeast-1": 7.632,
			"ap-southeast-2": 7.632,
			"ca-central-1":   6.912,
			"us-east-1":      6.288,
			"us-east-2":      6.288,
			"us-gov-west-1":  7.584,
			"us-west-2":      6.288,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "g2.2xlarge",
		EBSOptimized:  false,
		EBSThroughput: 125.000000,
		VCPU:          8,
		Memory:        15.000000,
		Price: map[string]float64{
			"ap-northeast-1": 0.898,
			"ap-northeast-2": 0.898,
			"ap-southeast-1": 1,
			"ap-southeast-2": 0.898,
			"eu-central-1":   0.772,
			"eu-west-1":      0.702,
			"us-east-1":      0.65,
			"us-west-1":      0.702,
			"us-west-2":      0.65,
		},
		Generation: "previous",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx": true,
		},
	},
	{
		Name:          "c4.2xlarge",
		EBSOptimized:  true,
		EBSThroughput: 125.000000,
		VCPU:          8,
		Memory:        15.000000,
		Price: map[string]float64{
			"ap-northeast-1": 0.504,
			"ap-northeast-2": 0.454,
			"ap-northeast-3": 0.504,
			"ap-south-1":     0.4,
			"ap-southeast-1": 0.462,
			"ap-southeast-2": 0.522,
			"ca-central-1":   0.438,
			"eu-central-1":   0.454,
			"eu-west-1":      0.453,
			"eu-west-2":      0.476,
			"sa-east-1":      0.618,
			"us-east-1":      0.398,
			"us-east-2":      0.398,
			"us-gov-west-1":  0.479,
			"us-west-1":      0.498,
			"us-west-2":      0.398,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "x1e.8xlarge",
		EBSOptimized:  true,
		EBSThroughput: 437.500000,
		VCPU:          32,
		Memory:        976.000000,
		Price: map[string]float64{
			"ap-northeast-1": 9.672,
			"ap-northeast-2": 9.672,
			"ap-southeast-1": 9.672,
			"ap-southeast-2": 9.672,
			"eu-central-1":   9.336,
			"eu-west-1":      8,
			"us-east-1":      6.672,
			"us-east-2":      6.672,
			"us-gov-east-1":  8,
			"us-gov-west-1":  8,
			"us-west-2":      6.672,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "m5.4xlarge",
		EBSOptimized:  true,
		EBSThroughput: 437.500000,
		VCPU:          16,
		Memory:        64.000000,
		Price: map[string]float64{
			"ap-east-1":      1.056,
			"ap-northeast-1": 0.992,
			"ap-northeast-2": 0.944,
			"ap-northeast-3": 0.992,
			"ap-south-1":     0.808,
			"ap-southeast-1": 0.96,
			"ap-southeast-2": 0.96,
			"ca-central-1":   0.856,
			"eu-central-1":   0.92,
			"eu-north-1":     0.816,
			"eu-west-1":      0.856,
			"eu-west-2":      0.888,
			"eu-west-3":      0.896,
			"me-south-1":     0.942,
			"sa-east-1":      1.224,
			"us-east-1":      0.768,
			"us-east-2":      0.768,
			"us-gov-east-1":  0.968,
			"us-gov-west-1":  0.968,
			"us-west-1":      0.896,
			"us-west-2":      0.768,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       true,
		CPUFeatures: map[string]bool{
			"intel_avx":    true,
			"intel_avx2":   true,
			"intel_avx512": true,
		},
	},
	{
		Name:          "h1.16xlarge",
		EBSOptimized:  true,
		EBSThroughput: 1750.000000,
		VCPU:          64,
		Memory:        256.000000,
		Price: map[string]float64{
			"eu-west-1": 4.152,
			"us-east-1": 3.744,
			"us-east-2": 3.744,
			"us-west-2": 3.744,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "z1d.xlarge",
		EBSOptimized:  true,
		EBSThroughput: 291.000000,
		VCPU:          4,
		Memory:        32.000000,
		Price: map[string]float64{
			"ap-northeast-1": 0.454,
			"ap-southeast-1": 0.452,
			"ap-southeast-2": 0.452,
			"eu-central-1":   0.45,
			"eu-west-1":      0.416,
			"eu-west-2":      0.439,
			"us-east-1":      0.372,
			"us-west-1":      0.422,
			"us-west-2":      0.372,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "r5d.8xlarge",
		EBSOptimized:  true,
		EBSThroughput: 625.000000,
		VCPU:          32,
		Memory:        256.000000,
		Price: map[string]float64{
			"ap-east-1":      2.8,
			"ap-northeast-1": 2.784,
			"ap-northeast-2": 2.768,
			"ap-northeast-3": 2.784,
			"ap-south-1":     2.416,
			"ap-southeast-1": 2.784,
			"ap-southeast-2": 2.784,
			"ca-central-1":   2.528,
			"eu-central-1":   2.768,
			"eu-north-1":     2.432,
			"eu-west-1":      2.56,
			"eu-west-2":      2.704,
			"eu-west-3":      2.704,
			"me-south-1":     2.816,
			"us-east-1":      2.304,
			"us-east-2":      2.304,
			"us-gov-east-1":  2.768,
			"us-gov-west-1":  2.768,
			"us-west-1":      2.592,
			"us-west-2":      2.304,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "t3.2xlarge",
		EBSOptimized:  true,
		EBSThroughput: 256.000000,
		VCPU:          8,
		Memory:        32.000000,
		Price: map[string]float64{
			"ap-east-1":      0.4672,
			"ap-northeast-1": 0.4352,
			"ap-northeast-2": 0.416,
			"ap-northeast-3": 0.4352,
			"ap-south-1":     0.3584,
			"ap-southeast-1": 0.4224,
			"ap-southeast-2": 0.4224,
			"ca-central-1":   0.3712,
			"eu-central-1":   0.384,
			"eu-north-1":     0.3456,
			"eu-west-1":      0.3648,
			"eu-west-2":      0.3776,
			"eu-west-3":      0.3776,
			"me-south-1":     0.4013,
			"sa-east-1":      0.5376,
			"us-east-1":      0.3328,
			"us-east-2":      0.3328,
			"us-gov-east-1":  0.3904,
			"us-gov-west-1":  0.3904,
			"us-west-1":      0.3968,
			"us-west-2":      0.3328,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "g3.8xlarge",
		EBSOptimized:  true,
		EBSThroughput: 875.000000,
		VCPU:          32,
		Memory:        244.000000,
		Price: map[string]float64{
			"ap-northeast-1": 3.16,
			"ap-northeast-2": 2.84,
			"ap-southeast-1": 3.34,
			"ap-southeast-2": 3.508,
			"ca-central-1":   2.832,
			"eu-central-1":   2.85,
			"eu-west-1":      2.42,
			"eu-west-2":      2.858,
			"us-east-1":      2.28,
			"us-east-2":      2.28,
			"us-gov-west-1":  2.64,
			"us-west-1":      3.068,
			"us-west-2":      2.28,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "m5d.8xlarge",
		EBSOptimized:  true,
		EBSThroughput: 625.000000,
		VCPU:          32,
		Memory:        128.000000,
		Price: map[string]float64{
			"ap-east-1":      2.48,
			"ap-northeast-1": 2.336,
			"ap-northeast-2": 2.224,
			"ap-northeast-3": 2.336,
			"ap-south-1":     1.952,
			"ap-southeast-1": 2.256,
			"ap-southeast-2": 2.272,
			"ca-central-1":   2.016,
			"eu-central-1":   2.176,
			"eu-north-1":     1.92,
			"eu-west-1":      2.016,
			"eu-west-2":      2.096,
			"eu-west-3":      2.112,
			"me-south-1":     2.218,
			"us-east-1":      1.808,
			"us-east-2":      1.808,
			"us-gov-east-1":  2.288,
			"us-gov-west-1":  2.288,
			"us-west-1":      2.128,
			"us-west-2":      1.808,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       true,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "m5.16xlarge",
		EBSOptimized:  true,
		EBSThroughput: 1250.000000,
		VCPU:          64,
		Memory:        256.000000,
		Price: map[string]float64{
			"ap-east-1":      4.224,
			"ap-northeast-1": 3.968,
			"ap-northeast-2": 3.776,
			"ap-northeast-3": 3.968,
			"ap-south-1":     3.232,
			"ap-southeast-1": 3.84,
			"ap-southeast-2": 3.84,
			"ca-central-1":   3.424,
			"eu-central-1":   3.68,
			"eu-north-1":     3.264,
			"eu-west-1":      3.424,
			"eu-west-2":      3.552,
			"eu-west-3":      3.584,
			"me-south-1":     3.766,
			"sa-east-1":      4.896,
			"us-east-1":      3.072,
			"us-east-2":      3.072,
			"us-gov-east-1":  3.872,
			"us-gov-west-1":  3.872,
			"us-west-1":      3.584,
			"us-west-2":      3.072,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       true,
		CPUFeatures: map[string]bool{
			"intel_avx":    true,
			"intel_avx2":   true,
			"intel_avx512": true,
		},
	},
	{
		Name:          "m4.2xlarge",
		EBSOptimized:  true,
		EBSThroughput: 125.000000,
		VCPU:          8,
		Memory:        32.000000,
		Price: map[string]float64{
			"ap-northeast-1": 0.516,
			"ap-northeast-2": 0.492,
			"ap-northeast-3": 0.516,
			"ap-south-1":     0.42,
			"ap-southeast-1": 0.5,
			"ap-southeast-2": 0.5,
			"ca-central-1":   0.444,
			"eu-central-1":   0.48,
			"eu-west-1":      0.444,
			"eu-west-2":      0.464,
			"sa-east-1":      0.636,
			"us-east-1":      0.4,
			"us-east-2":      0.4,
			"us-gov-west-1":  0.504,
			"us-west-1":      0.468,
			"us-west-2":      0.4,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "r5ad.large",
		EBSOptimized:  true,
		EBSThroughput: 265.000000,
		VCPU:          2,
		Memory:        16.000000,
		Price: map[string]float64{
			"ap-southeast-1": 0.159,
			"ap-southeast-2": 0.159,
			"ca-central-1":   0.144,
			"us-east-1":      0.131,
			"us-east-2":      0.131,
			"us-gov-west-1":  0.158,
			"us-west-2":      0.131,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "r5.4xlarge",
		EBSOptimized:  true,
		EBSThroughput: 437.500000,
		VCPU:          16,
		Memory:        128.000000,
		Price: map[string]float64{
			"ap-east-1":      1.336,
			"ap-northeast-1": 1.216,
			"ap-northeast-2": 1.216,
			"ap-northeast-3": 1.216,
			"ap-south-1":     1.04,
			"ap-southeast-1": 1.216,
			"ap-southeast-2": 1.208,
			"ca-central-1":   1.104,
			"eu-central-1":   1.216,
			"eu-north-1":     1.072,
			"eu-west-1":      1.128,
			"eu-west-2":      1.184,
			"eu-west-3":      1.184,
			"me-south-1":     1.241,
			"us-east-1":      1.008,
			"us-east-2":      1.008,
			"us-gov-east-1":  1.208,
			"us-gov-west-1":  1.208,
			"us-west-1":      1.12,
			"us-west-2":      1.008,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "r5d.2xlarge",
		EBSOptimized:  true,
		EBSThroughput: 437.500000,
		VCPU:          8,
		Memory:        64.000000,
		Price: map[string]float64{
			"ap-east-1":      0.7,
			"ap-northeast-1": 0.696,
			"ap-northeast-2": 0.692,
			"ap-northeast-3": 0.696,
			"ap-south-1":     0.604,
			"ap-southeast-1": 0.696,
			"ap-southeast-2": 0.696,
			"ca-central-1":   0.632,
			"eu-central-1":   0.692,
			"eu-north-1":     0.608,
			"eu-west-1":      0.64,
			"eu-west-2":      0.676,
			"eu-west-3":      0.676,
			"me-south-1":     0.704,
			"us-east-1":      0.576,
			"us-east-2":      0.576,
			"us-gov-east-1":  0.692,
			"us-gov-west-1":  0.692,
			"us-west-1":      0.648,
			"us-west-2":      0.576,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "r5.large",
		EBSOptimized:  true,
		EBSThroughput: 437.500000,
		VCPU:          2,
		Memory:        16.000000,
		Price: map[string]float64{
			"ap-east-1":      0.167,
			"ap-northeast-1": 0.152,
			"ap-northeast-2": 0.152,
			"ap-northeast-3": 0.152,
			"ap-south-1":     0.13,
			"ap-southeast-1": 0.152,
			"ap-southeast-2": 0.151,
			"ca-central-1":   0.138,
			"eu-central-1":   0.152,
			"eu-north-1":     0.134,
			"eu-west-1":      0.141,
			"eu-west-2":      0.148,
			"eu-west-3":      0.148,
			"me-south-1":     0.155,
			"us-east-1":      0.126,
			"us-east-2":      0.126,
			"us-gov-east-1":  0.151,
			"us-gov-west-1":  0.151,
			"us-west-1":      0.14,
			"us-west-2":      0.126,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "i3.large",
		EBSOptimized:  true,
		EBSThroughput: 53.130000,
		VCPU:          2,
		Memory:        15.250000,
		Price: map[string]float64{
			"ap-east-1":      0.206,
			"ap-northeast-1": 0.183,
			"ap-northeast-2": 0.183,
			"ap-northeast-3": 0.183,
			"ap-south-1":     0.177,
			"ap-southeast-1": 0.187,
			"ap-southeast-2": 0.187,
			"ca-central-1":   0.172,
			"eu-central-1":   0.186,
			"eu-north-1":     0.163,
			"eu-west-1":      0.172,
			"eu-west-2":      0.181,
			"eu-west-3":      0.181,
			"me-south-1":     0.189,
			"sa-east-1":      0.286,
			"us-east-1":      0.156,
			"us-east-2":      0.156,
			"us-gov-east-1":  0.188,
			"us-gov-west-1":  0.188,
			"us-west-1":      0.172,
			"us-west-2":      0.156,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "z1d.large",
		EBSOptimized:  true,
		EBSThroughput: 291.000000,
		VCPU:          2,
		Memory:        16.000000,
		Price: map[string]float64{
			"ap-northeast-1": 0.227,
			"ap-southeast-1": 0.226,
			"ap-southeast-2": 0.226,
			"eu-central-1":   0.225,
			"eu-west-1":      0.208,
			"eu-west-2":      0.22,
			"us-east-1":      0.186,
			"us-west-1":      0.211,
			"us-west-2":      0.186,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "i3.16xlarge",
		EBSOptimized:  true,
		EBSThroughput: 1750.000000,
		VCPU:          64,
		Memory:        488.000000,
		Price: map[string]float64{
			"ap-east-1":      6.592,
			"ap-northeast-1": 5.856,
			"ap-northeast-2": 5.856,
			"ap-northeast-3": 5.856,
			"ap-south-1":     5.664,
			"ap-southeast-1": 5.984,
			"ap-southeast-2": 5.984,
			"ca-central-1":   5.504,
			"eu-central-1":   5.952,
			"eu-north-1":     5.216,
			"eu-west-1":      5.504,
			"eu-west-2":      5.792,
			"eu-west-3":      5.792,
			"me-south-1":     6.054,
			"sa-east-1":      9.152,
			"us-east-1":      4.992,
			"us-east-2":      4.992,
			"us-gov-east-1":  6.016,
			"us-gov-west-1":  6.016,
			"us-west-1":      5.504,
			"us-west-2":      4.992,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "m5ad.12xlarge",
		EBSOptimized:  true,
		EBSThroughput: 675.000000,
		VCPU:          48,
		Memory:        192.000000,
		Price: map[string]float64{
			"ap-southeast-1": 3.096,
			"ap-southeast-2": 3.12,
			"ca-central-1":   2.76,
			"us-east-1":      2.472,
			"us-east-2":      2.472,
			"us-gov-west-1":  3.144,
			"us-west-2":      2.472,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "i3en.large",
		EBSOptimized:  true,
		EBSThroughput: 437.500000,
		VCPU:          2,
		Memory:        16.000000,
		Price: map[string]float64{
			"ap-northeast-1": 0.266,
			"ap-northeast-2": 0.266,
			"ap-southeast-1": 0.271,
			"ap-southeast-2": 0.271,
			"eu-central-1":   0.27,
			"eu-west-1":      0.25,
			"eu-west-2":      0.263,
			"us-east-1":      0.226,
			"us-east-2":      0.226,
			"us-gov-east-1":  0.273,
			"us-gov-west-1":  0.273,
			"us-west-1":      0.25,
			"us-west-2":      0.226,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "i2.4xlarge",
		EBSOptimized:  false,
		EBSThroughput: 250.000000,
		VCPU:          16,
		Memory:        122.000000,
		Price: map[string]float64{
			"ap-northeast-1": 4.002,
			"ap-northeast-2": 4.002,
			"ap-south-1":     3.867,
			"ap-southeast-1": 4.07,
			"ap-southeast-2": 4.07,
			"eu-central-1":   4.051,
			"eu-west-1":      3.751,
			"us-east-1":      3.41,
			"us-east-2":      3.41,
			"us-gov-west-1":  4.092,
			"us-west-1":      3.751,
			"us-west-2":      3.41,
		},
		Generation: "previous",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx": true,
		},
	},
	{
		Name:          "c5d.9xlarge",
		EBSOptimized:  true,
		EBSThroughput: 875.000000,
		VCPU:          36,
		Memory:        72.000000,
		Price: map[string]float64{
			"ap-east-1":      2.214,
			"ap-northeast-1": 2.196,
			"ap-northeast-2": 1.98,
			"ap-northeast-3": 2.196,
			"ap-south-1":     1.782,
			"ap-southeast-1": 2.016,
			"ap-southeast-2": 2.268,
			"ca-central-1":   1.908,
			"eu-central-1":   1.998,
			"eu-north-1":     1.872,
			"eu-west-1":      1.962,
			"eu-west-2":      2.07,
			"eu-west-3":      2.07,
			"me-south-1":     2.158,
			"us-east-1":      1.728,
			"us-east-2":      1.728,
			"us-gov-east-1":  2.088,
			"us-gov-west-1":  2.088,
			"us-west-1":      2.16,
			"us-west-2":      1.728,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       true,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "r5.xlarge",
		EBSOptimized:  true,
		EBSThroughput: 437.500000,
		VCPU:          4,
		Memory:        32.000000,
		Price: map[string]float64{
			"ap-east-1":      0.334,
			"ap-northeast-1": 0.304,
			"ap-northeast-2": 0.304,
			"ap-northeast-3": 0.304,
			"ap-south-1":     0.26,
			"ap-southeast-1": 0.304,
			"ap-southeast-2": 0.302,
			"ca-central-1":   0.276,
			"eu-central-1":   0.304,
			"eu-north-1":     0.268,
			"eu-west-1":      0.282,
			"eu-west-2":      0.296,
			"eu-west-3":      0.296,
			"me-south-1":     0.31,
			"us-east-1":      0.252,
			"us-east-2":      0.252,
			"us-gov-east-1":  0.302,
			"us-gov-west-1":  0.302,
			"us-west-1":      0.28,
			"us-west-2":      0.252,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "i3.2xlarge",
		EBSOptimized:  true,
		EBSThroughput: 212.500000,
		VCPU:          8,
		Memory:        61.000000,
		Price: map[string]float64{
			"ap-east-1":      0.824,
			"ap-northeast-1": 0.732,
			"ap-northeast-2": 0.732,
			"ap-northeast-3": 0.732,
			"ap-south-1":     0.708,
			"ap-southeast-1": 0.748,
			"ap-southeast-2": 0.748,
			"ca-central-1":   0.688,
			"eu-central-1":   0.744,
			"eu-north-1":     0.652,
			"eu-west-1":      0.688,
			"eu-west-2":      0.724,
			"eu-west-3":      0.724,
			"me-south-1":     0.757,
			"sa-east-1":      1.144,
			"us-east-1":      0.624,
			"us-east-2":      0.624,
			"us-gov-east-1":  0.752,
			"us-gov-west-1":  0.752,
			"us-west-1":      0.688,
			"us-west-2":      0.624,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "r5d.large",
		EBSOptimized:  true,
		EBSThroughput: 437.500000,
		VCPU:          2,
		Memory:        16.000000,
		Price: map[string]float64{
			"ap-east-1":      0.175,
			"ap-northeast-1": 0.174,
			"ap-northeast-2": 0.173,
			"ap-northeast-3": 0.174,
			"ap-south-1":     0.151,
			"ap-southeast-1": 0.174,
			"ap-southeast-2": 0.174,
			"ca-central-1":   0.158,
			"eu-central-1":   0.173,
			"eu-north-1":     0.152,
			"eu-west-1":      0.16,
			"eu-west-2":      0.169,
			"eu-west-3":      0.169,
			"me-south-1":     0.176,
			"us-east-1":      0.144,
			"us-east-2":      0.144,
			"us-gov-east-1":  0.173,
			"us-gov-west-1":  0.173,
			"us-west-1":      0.162,
			"us-west-2":      0.144,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "g3.4xlarge",
		EBSOptimized:  true,
		EBSThroughput: 437.500000,
		VCPU:          16,
		Memory:        122.000000,
		Price: map[string]float64{
			"ap-northeast-1": 1.58,
			"ap-northeast-2": 1.42,
			"ap-southeast-1": 1.67,
			"ap-southeast-2": 1.754,
			"ca-central-1":   1.416,
			"eu-central-1":   1.425,
			"eu-west-1":      1.21,
			"eu-west-2":      1.429,
			"us-east-1":      1.14,
			"us-east-2":      1.14,
			"us-gov-west-1":  1.32,
			"us-west-1":      1.534,
			"us-west-2":      1.14,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "r5d.12xlarge",
		EBSOptimized:  true,
		EBSThroughput: 875.000000,
		VCPU:          48,
		Memory:        384.000000,
		Price: map[string]float64{
			"ap-east-1":      4.2,
			"ap-northeast-1": 4.176,
			"ap-northeast-2": 4.152,
			"ap-northeast-3": 4.176,
			"ap-south-1":     3.624,
			"ap-southeast-1": 4.176,
			"ap-southeast-2": 4.176,
			"ca-central-1":   3.792,
			"eu-central-1":   4.152,
			"eu-north-1":     3.648,
			"eu-west-1":      3.84,
			"eu-west-2":      4.056,
			"eu-west-3":      4.056,
			"me-south-1":     4.224,
			"us-east-1":      3.456,
			"us-east-2":      3.456,
			"us-gov-east-1":  4.152,
			"us-gov-west-1":  4.152,
			"us-west-1":      3.888,
			"us-west-2":      3.456,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "g2.8xlarge",
		EBSOptimized:  false,
		EBSThroughput: 0.000000,
		VCPU:          32,
		Memory:        60.000000,
		Price: map[string]float64{
			"ap-northeast-1": 3.592,
			"ap-northeast-2": 3.592,
			"ap-southeast-1": 4,
			"ap-southeast-2": 3.592,
			"eu-central-1":   3.088,
			"eu-west-1":      2.808,
			"us-east-1":      2.6,
			"us-west-1":      2.808,
			"us-west-2":      2.6,
		},
		Generation: "previous",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx": true,
		},
	},
	{
		Name:          "i3.4xlarge",
		EBSOptimized:  true,
		EBSThroughput: 437.500000,
		VCPU:          16,
		Memory:        122.000000,
		Price: map[string]float64{
			"ap-east-1":      1.648,
			"ap-northeast-1": 1.464,
			"ap-northeast-2": 1.464,
			"ap-northeast-3": 1.464,
			"ap-south-1":     1.416,
			"ap-southeast-1": 1.496,
			"ap-southeast-2": 1.496,
			"ca-central-1":   1.376,
			"eu-central-1":   1.488,
			"eu-north-1":     1.304,
			"eu-west-1":      1.376,
			"eu-west-2":      1.448,
			"eu-west-3":      1.448,
			"me-south-1":     1.514,
			"sa-east-1":      2.288,
			"us-east-1":      1.248,
			"us-east-2":      1.248,
			"us-gov-east-1":  1.504,
			"us-gov-west-1":  1.504,
			"us-west-1":      1.376,
			"us-west-2":      1.248,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "c5.12xlarge",
		EBSOptimized:  true,
		EBSThroughput: 875.000000,
		VCPU:          48,
		Memory:        96.000000,
		Price: map[string]float64{
			"ap-northeast-1": 2.568,
			"ap-south-1":     2.04,
			"ap-southeast-1": 2.352,
			"ap-southeast-2": 2.664,
			"ca-central-1":   2.232,
			"eu-central-1":   2.328,
			"eu-north-1":     2.184,
			"eu-west-1":      2.304,
			"eu-west-2":      2.424,
			"eu-west-3":      2.424,
			"me-south-1":     2.534,
			"us-east-1":      2.04,
			"us-east-2":      2.04,
			"us-gov-west-1":  2.448,
			"us-west-1":      2.544,
			"us-west-2":      2.04,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       true,
		CPUFeatures: map[string]bool{
			"intel_avx":    true,
			"intel_avx2":   true,
			"intel_avx512": true,
		},
	},
	{
		Name:          "c5n.4xlarge",
		EBSOptimized:  true,
		EBSThroughput: 437.500000,
		VCPU:          16,
		Memory:        42.000000,
		Price: map[string]float64{
			"ap-northeast-1": 1.088,
			"ap-northeast-2": 0.976,
			"ap-south-1":     0.864,
			"ap-southeast-1": 0.992,
			"ap-southeast-2": 1.128,
			"ca-central-1":   0.944,
			"eu-central-1":   0.984,
			"eu-west-1":      0.976,
			"us-east-1":      0.864,
			"us-east-2":      0.864,
			"us-gov-east-1":  1.04,
			"us-gov-west-1":  1.04,
			"us-west-1":      1.08,
			"us-west-2":      0.864,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       true,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "r3.4xlarge",
		EBSOptimized:  false,
		EBSThroughput: 250.000000,
		VCPU:          16,
		Memory:        122.000000,
		Price: map[string]float64{
			"ap-northeast-1": 1.596,
			"ap-northeast-2": 1.596,
			"ap-south-1":     1.516,
			"ap-southeast-1": 1.596,
			"ap-southeast-2": 1.596,
			"eu-central-1":   1.6,
			"eu-west-1":      1.482,
			"sa-east-1":      2.799,
			"us-east-1":      1.33,
			"us-east-2":      1.328,
			"us-gov-west-1":  1.596,
			"us-west-1":      1.482,
			"us-west-2":      1.33,
		},
		Generation: "previous",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx": true,
		},
	},
	{
		Name:          "r3.8xlarge",
		EBSOptimized:  false,
		EBSThroughput: 0.000000,
		VCPU:          32,
		Memory:        244.000000,
		Price: map[string]float64{
			"ap-northeast-1": 3.192,
			"ap-northeast-2": 3.192,
			"ap-south-1":     3.032,
			"ap-southeast-1": 3.192,
			"ap-southeast-2": 3.192,
			"eu-central-1":   3.201,
			"eu-west-1":      2.964,
			"sa-east-1":      5.597,
			"us-east-1":      2.66,
			"us-east-2":      2.656,
			"us-gov-west-1":  3.192,
			"us-west-1":      2.964,
			"us-west-2":      2.66,
		},
		Generation: "previous",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx": true,
		},
	},
	{
		Name:          "p3.8xlarge",
		EBSOptimized:  true,
		EBSThroughput: 875.000000,
		VCPU:          32,
		Memory:        244.000000,
		Price: map[string]float64{
			"ap-northeast-1": 16.776,
			"ap-northeast-2": 16.936,
			"ap-southeast-1": 16.936,
			"ap-southeast-2": 16.936,
			"ca-central-1":   13.464,
			"eu-central-1":   15.292,
			"eu-west-1":      13.22,
			"eu-west-2":      14.356,
			"us-east-1":      12.24,
			"us-east-2":      12.24,
			"us-gov-west-1":  14.688,
			"us-west-2":      12.24,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "g4dn.xlarge",
		EBSOptimized:  true,
		EBSThroughput: 437.500000,
		VCPU:          4,
		Memory:        16.000000,
		Price: map[string]float64{
			"ap-northeast-1": 0.71,
			"ap-northeast-2": 0.647,
			"eu-central-1":   0.658,
			"eu-west-1":      0.587,
			"eu-west-2":      0.615,
			"us-east-1":      0.526,
			"us-east-2":      0.526,
			"us-west-1":      0.631,
			"us-west-2":      0.526,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "cc2.8xlarge",
		EBSOptimized:  false,
		EBSThroughput: 0.000000,
		VCPU:          32,
		Memory:        60.500000,
		Price: map[string]float64{
			"ap-northeast-1": 2.349,
			"eu-west-1":      2.25,
			"us-east-1":      2,
			"us-gov-west-1":  2.25,
			"us-west-2":      2,
		},
		Generation:  "previous",
		Virt:        "HVM",
		NVMe:        false,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "t3a.2xlarge",
		EBSOptimized:  true,
		EBSThroughput: 256.000000,
		VCPU:          8,
		Memory:        32.000000,
		Price: map[string]float64{
			"ap-northeast-1": 0.3917,
			"ap-northeast-2": 0.3744,
			"ap-southeast-1": 0.3776,
			"ap-southeast-2": 0.3802,
			"ca-central-1":   0.3341,
			"eu-central-1":   0.3456,
			"eu-west-1":      0.3264,
			"eu-west-2":      0.3398,
			"eu-west-3":      0.3398,
			"us-east-1":      0.3008,
			"us-east-2":      0.3008,
			"us-gov-east-1":  0.3514,
			"us-gov-west-1":  0.3514,
			"us-west-1":      0.3571,
			"us-west-2":      0.3008,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "r5d.16xlarge",
		EBSOptimized:  true,
		EBSThroughput: 1250.000000,
		VCPU:          64,
		Memory:        512.000000,
		Price: map[string]float64{
			"ap-east-1":      5.6,
			"ap-northeast-1": 5.568,
			"ap-northeast-2": 5.536,
			"ap-northeast-3": 5.568,
			"ap-south-1":     4.832,
			"ap-southeast-1": 5.568,
			"ap-southeast-2": 5.568,
			"ca-central-1":   5.056,
			"eu-central-1":   5.536,
			"eu-north-1":     4.864,
			"eu-west-1":      5.12,
			"eu-west-2":      5.408,
			"eu-west-3":      5.408,
			"me-south-1":     5.632,
			"us-east-1":      4.608,
			"us-east-2":      4.608,
			"us-gov-east-1":  5.536,
			"us-gov-west-1":  5.536,
			"us-west-1":      5.184,
			"us-west-2":      4.608,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "m5.8xlarge",
		EBSOptimized:  true,
		EBSThroughput: 625.000000,
		VCPU:          32,
		Memory:        128.000000,
		Price: map[string]float64{
			"ap-east-1":      2.112,
			"ap-northeast-1": 1.984,
			"ap-northeast-2": 1.888,
			"ap-northeast-3": 1.984,
			"ap-south-1":     1.616,
			"ap-southeast-1": 1.92,
			"ap-southeast-2": 1.92,
			"ca-central-1":   1.712,
			"eu-central-1":   1.84,
			"eu-north-1":     1.632,
			"eu-west-1":      1.712,
			"eu-west-2":      1.776,
			"eu-west-3":      1.792,
			"me-south-1":     1.883,
			"sa-east-1":      2.448,
			"us-east-1":      1.536,
			"us-east-2":      1.536,
			"us-gov-east-1":  1.936,
			"us-gov-west-1":  1.936,
			"us-west-1":      1.792,
			"us-west-2":      1.536,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       true,
		CPUFeatures: map[string]bool{
			"intel_avx":    true,
			"intel_avx2":   true,
			"intel_avx512": true,
		},
	},
	{
		Name:          "g4dn.2xlarge",
		EBSOptimized:  true,
		EBSThroughput: 437.500000,
		VCPU:          8,
		Memory:        32.000000,
		Price: map[string]float64{
			"ap-northeast-1": 1.015,
			"ap-northeast-2": 0.925,
			"eu-central-1":   0.94,
			"eu-west-1":      0.838,
			"eu-west-2":      0.88,
			"us-east-1":      0.752,
			"us-east-2":      0.752,
			"us-west-1":      0.902,
			"us-west-2":      0.752,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "r5ad.4xlarge",
		EBSOptimized:  true,
		EBSThroughput: 265.000000,
		VCPU:          16,
		Memory:        128.000000,
		Price: map[string]float64{
			"ap-southeast-1": 1.272,
			"ap-southeast-2": 1.272,
			"ca-central-1":   1.152,
			"us-east-1":      1.048,
			"us-east-2":      1.048,
			"us-gov-west-1":  1.264,
			"us-west-2":      1.048,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "r5ad.12xlarge",
		EBSOptimized:  true,
		EBSThroughput: 625.000000,
		VCPU:          48,
		Memory:        384.000000,
		Price: map[string]float64{
			"ap-southeast-1": 3.816,
			"ap-southeast-2": 3.816,
			"ca-central-1":   3.456,
			"us-east-1":      3.144,
			"us-east-2":      3.144,
			"us-gov-west-1":  3.792,
			"us-west-2":      3.144,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "m5a.large",
		EBSOptimized:  true,
		EBSThroughput: 265.000000,
		VCPU:          2,
		Memory:        8.000000,
		Price: map[string]float64{
			"ap-northeast-1": 0.112,
			"ap-southeast-1": 0.108,
			"ap-southeast-2": 0.108,
			"ca-central-1":   0.096,
			"eu-central-1":   0.104,
			"eu-west-1":      0.096,
			"eu-west-3":      0.101,
			"us-east-1":      0.086,
			"us-east-2":      0.086,
			"us-gov-east-1":  0.109,
			"us-gov-west-1":  0.109,
			"us-west-1":      0.101,
			"us-west-2":      0.086,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "i3.8xlarge",
		EBSOptimized:  true,
		EBSThroughput: 875.000000,
		VCPU:          32,
		Memory:        244.000000,
		Price: map[string]float64{
			"ap-east-1":      3.296,
			"ap-northeast-1": 2.928,
			"ap-northeast-2": 2.928,
			"ap-northeast-3": 2.928,
			"ap-south-1":     2.832,
			"ap-southeast-1": 2.992,
			"ap-southeast-2": 2.992,
			"ca-central-1":   2.752,
			"eu-central-1":   2.976,
			"eu-north-1":     2.608,
			"eu-west-1":      2.752,
			"eu-west-2":      2.896,
			"eu-west-3":      2.896,
			"me-south-1":     3.027,
			"sa-east-1":      4.576,
			"us-east-1":      2.496,
			"us-east-2":      2.496,
			"us-gov-east-1":  3.008,
			"us-gov-west-1":  3.008,
			"us-west-1":      2.752,
			"us-west-2":      2.496,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "cr1.8xlarge",
		EBSOptimized:  false,
		EBSThroughput: 0.000000,
		VCPU:          32,
		Memory:        244.000000,
		Price: map[string]float64{
			"ap-northeast-1": 4.105,
			"eu-west-1":      3.75,
			"us-east-1":      3.5,
			"us-west-2":      3.5,
		},
		Generation:  "previous",
		Virt:        "HVM",
		NVMe:        false,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "m5a.24xlarge",
		EBSOptimized:  true,
		EBSThroughput: 1250.000000,
		VCPU:          96,
		Memory:        384.000000,
		Price: map[string]float64{
			"ap-northeast-1": 5.376,
			"ap-southeast-1": 5.184,
			"ap-southeast-2": 5.184,
			"ca-central-1":   4.608,
			"eu-central-1":   4.992,
			"eu-west-1":      4.608,
			"eu-west-3":      4.848,
			"us-east-1":      4.128,
			"us-east-2":      4.128,
			"us-gov-east-1":  5.232,
			"us-gov-west-1":  5.232,
			"us-west-1":      4.848,
			"us-west-2":      4.128,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "c4.4xlarge",
		EBSOptimized:  true,
		EBSThroughput: 250.000000,
		VCPU:          16,
		Memory:        30.000000,
		Price: map[string]float64{
			"ap-northeast-1": 1.008,
			"ap-northeast-2": 0.907,
			"ap-northeast-3": 1.008,
			"ap-south-1":     0.8,
			"ap-southeast-1": 0.924,
			"ap-southeast-2": 1.042,
			"ca-central-1":   0.876,
			"eu-central-1":   0.909,
			"eu-west-1":      0.905,
			"eu-west-2":      0.95,
			"sa-east-1":      1.235,
			"us-east-1":      0.796,
			"us-east-2":      0.796,
			"us-gov-west-1":  0.958,
			"us-west-1":      0.997,
			"us-west-2":      0.796,
		},
		Generation: "current",
		Virt:       "HVM",
		NVMe:       false,
		CPUFeatures: map[string]bool{
			"intel_avx":  true,
			"intel_avx2": true,
		},
	},
	{
		Name:          "f1.16xlarge",
		EBSOptimized:  true,
		EBSThroughput: 1750.000000,
		VCPU:          64,
		Memory:        976.000000,
		Price: map[string]float64{
			"eu-west-1":     14.52,
			"us-east-1":     13.2,
			"us-gov-west-1": 15.84,
			"us-west-1":     15.304,
			"us-west-2":     13.2,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        false,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "g4dn.12xlarge",
		EBSOptimized:  true,
		EBSThroughput: 875.000000,
		VCPU:          48,
		Memory:        192.000000,
		Price: map[string]float64{
			"ap-northeast-1": 5.281,
			"ap-northeast-2": 4.812,
			"eu-central-1":   4.89,
			"eu-west-1":      4.362,
			"eu-west-2":      4.577,
			"us-east-1":      3.912,
			"us-east-2":      3.912,
			"us-west-1":      4.694,
			"us-west-2":      3.912,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "g3s.xlarge",
		EBSOptimized:  true,
		EBSThroughput: 100.000000,
		VCPU:          4,
		Memory:        30.500000,
		Price: map[string]float64{
			"ap-northeast-1": 1.04,
			"ap-northeast-2": 0.934,
			"ap-southeast-2": 1.154,
			"eu-central-1":   0.938,
			"eu-west-1":      0.796,
			"eu-west-2":      0.94,
			"us-east-1":      0.75,
			"us-east-2":      0.75,
			"us-west-1":      1.009,
			"us-west-2":      0.75,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        false,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "f1.2xlarge",
		EBSOptimized:  true,
		EBSThroughput: 212.500000,
		VCPU:          8,
		Memory:        122.000000,
		Price: map[string]float64{
			"eu-west-1":     1.815,
			"us-east-1":     1.65,
			"us-gov-west-1": 1.98,
			"us-west-1":     1.913,
			"us-west-2":     1.65,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        false,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "hs1.8xlarge",
		EBSOptimized:  false,
		EBSThroughput: 0.000000,
		VCPU:          17,
		Memory:        117.000000,
		Price: map[string]float64{
			"ap-northeast-1": 5.4,
			"ap-southeast-1": 5.57,
			"ap-southeast-2": 5.57,
			"eu-west-1":      4.9,
			"us-east-1":      4.6,
			"us-gov-west-1":  5.52,
			"us-west-2":      4.6,
		},
		Generation:  "previous",
		Virt:        "HVM",
		NVMe:        false,
		CPUFeatures: map[string]bool{},
	},
	{
		Name:          "t3a.xlarge",
		EBSOptimized:  true,
		EBSThroughput: 256.000000,
		VCPU:          4,
		Memory:        16.000000,
		Price: map[string]float64{
			"ap-northeast-1": 0.1958,
			"ap-northeast-2": 0.1872,
			"ap-southeast-1": 0.1888,
			"ap-southeast-2": 0.1901,
			"ca-central-1":   0.167,
			"eu-central-1":   0.1728,
			"eu-west-1":      0.1632,
			"eu-west-2":      0.1699,
			"eu-west-3":      0.1699,
			"us-east-1":      0.1504,
			"us-east-2":      0.1504,
			"us-gov-east-1":  0.1757,
			"us-gov-west-1":  0.1757,
			"us-west-1":      0.1786,
			"us-west-2":      0.1504,
		},
		Generation:  "current",
		Virt:        "HVM",
		NVMe:        true,
		CPUFeatures: map[string]bool{},
	},
}
